<?php
$this->load->view("includes/header");
$this->load->view("includes/sidebar");
?>
<!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1><i class="glyphicon glyphicon-user"></i>&nbsp;Customer / ARTI</h1>
    </section>

  <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-md-12">
          <!-- form elements -->
          <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Add New Customer / ARTI</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body no-padding">
            <form role="form" class="form-horizontal" enctype="multipart/form-data" action="<?php echo base_url(); ?>Customer/SaveCustomer" method="post">
              <div class="box-body">
                
               <div class="form-group">
                  <label for="CustomerName" class="col-sm-1 control-label">Customer / ARTI Name:</label>
                  <div class="col-sm-4">
		                <input type="text" class="form-control" name="CustomerName" id="CustomerName" required="required" autocomplete="off">
                  </div>
                  <div class="col-sm-4">
                    <?php echo "<font style='color: #f44336;text-align: right;font-size: 16px;font-weight:200;'>".$this->session->flashdata('Validate_message')."</font>"; ?>
                  </div>
                </div>
                <div class="form-group">
                  <label for="ContactName" class="col-sm-1 control-label">Contact Name:</label>
                  <div class="col-sm-4">
		                <input type="text" class="form-control"  name="ContactName" id="ContactName" autocomplete="off">
                  </div>
                </div>
                <div class="form-group">
                  <label for="Address" class="col-sm-1 control-label">Address:</label>
                  <div class="col-sm-4">
                  <input type="text" class="form-control"  name="Address" id="Address" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="Address" class="col-sm-1 control-label">Area:</label>
                  <div class="col-sm-4">
                    <select class="form-control select2" id="Area_name" name="Area_name">
                  <?php  foreach($GetAllAreas as  $value)
                    {
                  ?>
                    <option selected="selected" value="<?php echo $value["id"]; ?>"><?php echo $value['Area_name']; ?></option>
                 <?php } ?>
                    </select>
                  </div>
                </div>
                
                <div class="form-group">
                  <label for="Email" class="col-sm-1 control-label">Email:</label>
                  <div class="col-sm-4">
                  <input type="email" class="form-control" name="Email" id="Email" autocomplete="off">
                  </div>
                </div>
                <div class="form-group">
                  <label for="PhoneNo" class="col-sm-1 control-label">Phone No:</label>
                  <div class="col-sm-4">
                  <input type="text" class="form-control"  name="PhoneNo" id="PhoneNo" autocomplete="off">
                  </div>
                </div>
                <div class="form-group">
                  <label for="CellNo" class="col-sm-1 control-label">Cell No 1:</label>
                  <div class="col-sm-4">
                  <input type="text" class="form-control"  name="CellNo" id="CellNo" autocomplete="off">
                  </div>
                </div>

		            <div class="form-group">
                  <label for="FaxNo" class="col-sm-1 control-label">Cell No 2:</label>
                  <div class="col-sm-4">
		                <input type="text" class="form-control" name="FaxNo" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="Website" class="col-sm-1 control-label">Website:</label>
                  <div class="col-sm-4">
                  <input type="text" class="form-control"  name="Website" id="Website" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="Website" class="col-sm-1 control-label">Notes:</label>
                  <div class="col-sm-4">
                  <textarea rows="4" class="form-control"  name="note" autocomplete="off"></textarea>
                  </div>
                </div>

                <div class="form-group">
                  <label for="Website" class="col-sm-1 control-label">Note Alert Date:</label>
                  <div class="col-sm-4">
                  <input type="date" class="form-control"  name="alert_date" id="alert_date" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <div class="col-sm-4">
                  <input type="hidden" class="form-control"  name="ChartOfAccountCode" id="ChartOfAccountCode" value="<?php echo $COA_Code;?>" readonly="readonly">
                  <input type="hidden" class="form-control"  name="ChartOfAccountCategoryId" id="ChartOfAccountCategoryId" value="<?php echo $Category_Id;?>" >
                  <input type="hidden" class="form-control"  name="ChartOfAccountControlId" id="ChartOfAccountControlId" value="<?php echo $ControlCode_Id;?>" >
                  </div>
                </div> 
	              <div class="form-group">
                  <div class="col-sm-4">
                      <input type="hidden" class="form-control"  name="ChartOfAccountTitle" id="ChartOfAccountTitle" required="required" readonly="readonly">
                  </div>
                </div>
		</div>
		<div class="box-body">
		<div class="row">
		  <div class="col-md-2">
		    <button type="submit" name="submitForm" value="AddRecord" class="btn btn-block btn-primary">Save Record</button>
		  </div>
		  <div class="col-md-2">
		    <a href="<?php echo base_url(); ?>Customer/"><button type="button" name="cancelForm" value="cancelUpdate" class="btn btn-block btn-primary">Back to Main</button></a>
		  </div>
    </div>  
               </div>
	      </form>
            </div>
	    </div>
            <!-- /.box-body -->
          </div>
	   </div>
          <!-- /.box -->
         </section>  
      </div> 
<script>
$(function(){
        $('#CustomerName').focus( function() {
            $("#ChartOfAccountTitle").val('');
        });
        $('#CustomerName').blur( function() {
           var CustomerName = $(this).val();
           $("#ChartOfAccountTitle").val(CustomerName)
        });
    
    
});

</script>    
<?php $this->load->view("includes/footer"); ?>