<?php
$this->load->view("includes/header");
$this->load->view("includes/sidebar");
?>
<!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1><i class="glyphicon glyphicon-user"></i>&nbsp;Customer / ARTI</h1>
    </section>
  <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-md-12">
          <!-- form elements --> 
          <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Update Customer / ARTI Detail</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body no-padding">
            <form role="form" class="form-horizontal" enctype="multipart/form-data" action='<?php echo base_url("Customer/SaveCustomer/".$GetCustomer->CustomerId); ?>' method="post"> 
              <div class="box-body">
                <div class="form-group">
                  <label for="CustomerName" class="col-sm-1 control-label">Customer / ARTI Name:</label>
                  <div class="col-sm-4">
                      <input type="text" class="form-control" name="CustomerName" id="CustomerName" value="<?php echo $GetCustomer->CustomerName; ?>" required="required" autocomplete="off">
                  </div>
                  <div class="col-sm-4">
                    <?php echo "<font style='color: #f44336;text-align: right;font-size: 16px;font-weight:200;'>".$this->session->flashdata('Validate_message')."</font>"; ?>
                  </div>
                </div>
  
                <div class="form-group">
                  <label for="ContactName" class="col-sm-1 control-label">Contact Name:</label>
                  <div class="col-sm-4">
                  <input type="text" class="form-control"  name="ContactName" id="ContactName" value="<?php echo $GetCustomer->ContactName; ?>" autocomplete="off">
                  </div>
                </div>
  
                <div class="form-group">
                  <label for="Address" class="col-sm-1 control-label">Address:</label>
                  <div class="col-sm-4">
                  <input type="text" class="form-control"  name="Address" id="Address" value="<?php echo $GetCustomer->Address; ?>" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="Address" class="col-sm-1 control-label">Area:</label>
                  <div class="col-sm-4">
                    <select class="form-control select2" id="Area_name" name="Area_name">
                  <?php  foreach($GetAllAreas as  $value)
                    {
                  ?>
                    <option value="<?php echo $value["id"]; ?>"<?php if($value['id'] == $GetCustomer->AreaId) echo "selected=selected"; ?>><?php echo $value['Area_name'];?></option>
                 <?php } ?>
                    </select>
                  </div>
                </div>
  
                <div class="form-group">
                  <label for="Email" class="col-sm-1 control-label">Email:</label>
                  <div class="col-sm-4">
                  <input type="email" class="form-control" name="Email" id="Email" value="<?php echo $GetCustomer->Email; ?>" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="PhoneNo" class="col-sm-1 control-label">Phone No:</label>
                  <div class="col-sm-4">
                  <input type="text" class="form-control"  name="PhoneNo" id="PhoneNo" value="<?php echo $GetCustomer->PhoneNo; ?>" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="CellNo" class="col-sm-1 control-label">Cell No 1:</label>
                  <div class="col-sm-4">
		                <input type="text" class="form-control" name="CellNo" value="<?php echo $GetCustomer->CellNo; ?>" autocomplete="off">
                  </div>
                </div>

		            <div class="form-group">
                  <label for="FaxNo" class="col-sm-1 control-label">Cell No 2:</label>
                  <div class="col-sm-4">
		                <input type="text" class="form-control" name="FaxNo" value="<?php echo $GetCustomer->FaxNo; ?>" autocomplete="off">
                  </div>
                </div>

              	<div class="form-group">
                  <label for="Website" class="col-sm-1 control-label">Website:</label>
                  <div class="col-sm-4">
                  <input type="text" class="form-control"  name="Website" id="Website" value="<?php echo $GetCustomer->Website; ?>" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="Website" class="col-sm-1 control-label">Notes:</label>
                  <div class="col-sm-4">
                  <textarea rows="4" class="form-control"  name="note" autocomplete="off"><?php echo $GetCustomer->Note; ?></textarea>
                  </div>
                </div>

                <div class="form-group">
                  <label for="Website" class="col-sm-1 control-label">Note Alert Date:</label>
                  <div class="col-sm-4">
                  <input type="date" class="form-control"  name="alert_date" id="alert_date" value="<?php echo $GetCustomer->AlertDate; ?>" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="Website" class="col-sm-1 control-label">Amount Cleared:</label>
                  <div class="col-sm-4">
                  <input type="checkbox" id="Cleared" name="Cleared" value="1"  <?php echo ($GetCustomer->Cleared == 1) ? "checked" : ""; ?>/>
                  </div>
                </div>

                <div class="form-group">
                 <div class="col-sm-4">
                  <input type="hidden" class="form-control"  name="ChartOfAccountCode" id="ChartOfAccountCode" value="<?php echo $GetCustomer->ChartOfAccountCode;?>" readonly="readonly">
                  <input type="hidden" class="form-control"  name="ChartOfAccountId" id="ChartOfAccountId" value="<?php echo $GetCustomer->ChartOfAccountId;?>" >
                  <input type="hidden" class="form-control"  name="ChartOfAccountCategoryId" id="ChartOfAccountCategoryId" value="<?php echo $GetCustomer->ChartOfAccountCategoryId;?>" >
                  <input type="hidden" class="form-control"  name="ChartOfAccountControlId" id="ChartOfAccountControlId" value="<?php echo $GetCustomer->ChartOfAccountControlId;?>" >
                </div>
                </div>           
                <div class="form-group">
                 <div class="col-sm-4">
                  <input type="hidden" class="form-control"  name="ChartOfAccountTitle" id="ChartOfAccountTitle" value="<?php echo $GetCustomer->ChartOfAccountTitle;?>" readonly="readonly" required="required">
                 </div>
                </div>
              </div>
              <!-- /.box-body -->
	      <div class="box-body">
		<div class="row">
		  <div class="col-md-2">
		    <button type="submit" name="submitForm" value="UpdateRecord" class="btn btn-block btn-primary">Update Record</button>
		  </div>
		  <div class="col-md-2">
		    <a href="<?php echo base_url(); ?>Customer/"><button type="button" name="cancelForm" value="cancelUpdate" class="btn btn-block btn-primary">Cancel</button></a>
		  </div>
		</div>  
              </div>
	    </form>
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
       </div>
      </div>
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->  
<script>
//CustomerName

$(function(){
        $('#CustomerName').focus( function() {
            $("#ChartOfAccountTitle").val('');
        });

        $('#CustomerName').blur( function() {
           var COA_txt = $("#ChartOfAccount").val();
           var CustomerName = $(this).val();
           $("#ChartOfAccountTitle").val(CustomerName)
        });
    
    
});
</script>    
<?php $this->load->view("includes/footer"); ?>