<?php
header("Content-type: application/vnd.ms-excel");
header("Content-Disposition: attachment; filename = Stock Quantity Report.xls");
?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Stock Status Detail Report</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport"> 

        <!-- jQuery 2.2.3 -->
  <script src="<?php echo base_url(); ?>plugins/jQuery/jquery-2.2.3.min.js">
  </script>
  <!-- Bootstrap 3.3.6 -->
  <script src="<?php echo base_url(); ?>bootstrap/js/bootstrap.min.js"></script>
  <!-- Bootstrap 3.3.6 -->
  <link rel="stylesheet" href="<?php echo base_url(); ?>bootstrap/css/bootstrap.min.css">
  <link rel="stylesheet" href="<?php echo base_url(); ?>plugins/select2/select2.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="<?php echo base_url(); ?>lib/css/font-awesome/font-awesome.min.css">
<style type="text/css">

@media print
{    
    .no-print, .no-print *
    {
        display: none !important;
    }
}

</style>

</head>
<body class="hold-transition skin-blue sidebar-mini">
    <div class="wrapper">
      <div class="box box-info">
        <div class="col-md-12 col-xs-12">
          <center>
            <div class="box-header">
	      <h2 style="color:black; font-family:Georgia; font-weight:600;" class="box-title">Hilife Electronics</h2>
              <h3 style="color:green;" class="box-title">Stock Status Detail Report</h3>
	      <hr style="color: #003eff; border-width: 1px; border-style: inset; display: block;">
          <div style="padding-top:-0.1em; font-size:12px; font-weight:600; text-align:center;">as of <?php echo date('M d, Y', strtotime(date('Y-m-d'))); ?>
      </div>
            </div>
          </center>
        </div>
    <br><br>

      <hr style="color: #003eff; border-width: 1px; border-style: inset; display: block;">
      <!--  <button class="pull-right" type="button" id="SendMail" data-toggle="modal" data-target="#myModal">Send as Email</button> -->
           </div>
	     <div style="height:30px;"></div>
            <div class="table-head-only" style="overflow-x: scroll;">
            <table class="table table-bordered" style="width: 100%" id="table-basic">
    <?php foreach($AllProducts as $Category){ ?>
              <thead>
                <tr style="font-size:8px;">
                    <th colspan="10"><?php echo $Category['CategoryName']; ?></th>
                </tr>
                <tr style="background:#205081; font-size:8px; color:#FFFFFF;">
                    <th style="width: 5%;">1-Sr.</th>
                    <th style="width: 5%;">G-Sr.</th>
                    <th style="width: 11%;">Product Group</th>
                    <th style="width: 11%;">Quality</th>
                    <th style="width: 12%;">Model no.</th>
                    <th style="width: 20%;">Specification</th>
                    <th style="width: 10%;">Weight</th>
                    <th style="width: 8%;">Retail</th>
                    <th style="width: 10%;">Policy</th>
                    <th style="width: 8%;">N.Price</th>
                </tr>
            </thead>
            <tbody>
    <?php
    $PurchaseReturnQuantity = 0;
    $SaleQuantity = 0;
    $stockQuantity =0;
    $allStockQuantity =0;
    $productGroupName = "";
    $SNo = 0;
    $SrNo = 0;

    $i = 0;
    foreach($Category['Products'] as $ProductRecord) 
    { 

        // Getting Total Purchase Return Quantity
        if(isset($AllPurchaseReturnRecord))
        {
            foreach($AllPurchaseReturnRecord as $PurchaseReturnRecord)
            { 
                if($PurchaseReturnRecord['ProductId'] == $ProductRecord['ProductId'])
                { 
                $PurchaseReturnQuantity = $PurchaseReturnRecord['Quantity'];
                }
            }
        }

        // Getting Total Sale Quantity
        if(isset($AllSaleRecord))
        {
            foreach($AllSaleRecord as $SaleRecord)
            { 
                if($SaleRecord['ProductId'] == $ProductRecord['ProductId'])
                {
            $SaleQuantity = $SaleRecord['Quantity']; 
                }
            }
        }

        $allStockQuantity += $ProductRecord['Quantity'] - ($SaleQuantity + $PurchaseReturnQuantity);

        if($i != 0 && $productGroupName != $ProductRecord['ProductGroupName']){
            $SrNo = 1;  ?>
        <tr style="font-family:arial, sans-serif; font-size: 8px;">
            <td colspan="6" style="text-align:right;font-weight:bold;">Total Qty:</td>
            <td colspan="5" style="text-align:left;font-weight:bold;"><?php echo $stockQuantity; ?>	</td>
        </tr>
        <?php
        $stockQuantity = 0;
        }else{
            $SrNo++;
        }
        $stockQuantity += $ProductRecord['Quantity'] - ($SaleQuantity + $PurchaseReturnQuantity);
        $SNo++;
        $productGroupName = $ProductRecord['ProductGroupName'];
        
        ?>
        <tr style="font-family:arial, sans-serif; font-size: 8px;">  
            <td style="text-align:center;"><?php echo $SNo; ?>	</td>
            <td style="text-align:center;"><?php echo $SrNo; ?>	</td>
            <td style="text-align:left;"><?php echo $ProductRecord['ProductGroupName'] //.' - '.$ProductRecord['ProductGroupName'].' - '.$ProductRecord['BrandName']; ?></td>
            <td style="text-align:left;"><?php echo $ProductRecord['BrandName']; ?></td>
            <td style="text-align:left;"><?php echo $ProductRecord['ProductName']; ?></td>
            <td style="text-align:right;"><?php echo $ProductRecord['ProductDetails']; ?></td>
            <td style="text-align:right;text-align:left;"><?php echo $ProductRecord['Quantity'] - ($SaleQuantity + $PurchaseReturnQuantity); ?></td>
            <td style="text-align:right;"><?php echo $ProductRecord['FinalPrice']; ?></td>
            <td style="text-align:right;"><?php echo $ProductRecord['Policy']; ?></td>
            <td style="text-align:right;"><?php echo $ProductRecord['PurchasePrice']; ?></td>
        </tr>
    <?php
     
    $i++;
	}  
	?>
    <tr style="font-family:arial, sans-serif; font-size: 8px;">
        <td colspan="6" style="text-align:right;font-weight:bold;">Total Qty:</td>
        <td colspan="5" style="text-align:left;font-weight:bold;"><?php echo $stockQuantity; ?>	</td>
    </tr>
     <tr>             
        <td colspan="6" style="text-align:right; font-weight: 700; font-size: 8px;font-weight:bold;">Category Total Qty:</td>
        <td style="text-align:right; font-weight:700;font-weight:bold;"><?php echo $allStockQuantity; ?></td>
        
     </tr>
<?php } ?>
   </tbody>
   </table>
  </div>
</body>
</html>


<script src="<?php echo base_url(); ?>plugins/select2/select2.min.js"></script>
<script src="<?php echo base_url(); ?>lib/js/freeze-table.js"></script>
<script>
$(document).ready(function() {

  $(".table-basic").freezeTable();

  $(".table-head-only").freezeTable({
    'freezeColumn': false,
  });


  $("#Show").click(function(){
    $("#OtherEmployee").toggle('2000');
  })


});
</script>



<script>
  $(document).ready(function() {
    $('.js-example-basic-multiple').select2();
});
</script>