<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Product Report</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.6 -->
  <link rel="stylesheet" href="<?php echo base_url(); ?>bootstrap/css/bootstrap.min.css">
      <!-- jQuery 2.2.3 -->
  <script src="<?php echo base_url(); ?>plugins/jQuery/jquery-2.2.3.min.js"></script>
   <!-- Font Awesome -->
  <link rel="stylesheet" href="<?php echo base_url(); ?>lib/css/font-awesome/bootstrap.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
  <link rel="stylesheet" href="<?php echo base_url(); ?>lib/css/AdminLTE.min.css">
</head>
<body>
<?php

die('<h2>Comming Soon</h2>');

if(empty($SalesInvoiceDetailReport)) die('<div style="text-align:center;">Please enter Invoice No</div>'); 

// Report Checkboxes Values
$CompanyWarranty = $this->input->get('CompanyWarranty');
$InvoiceDate = $this->input->get('InvoiceDate');
$sProductName = $this->input->get('ProductName');
//$sBatch = $this->input->get('Batch');
$sMfgDate = $this->input->get('MfgDate');
$sExpiryDate = $this->input->get('ExpiryDate');
$sDCReport = $this->input->get('DCReport');
$sMfgName = $this->input->get('MfgName');
    
if($InvoiceDate=="true")
$sInvoiceDate = date('M d, Y',strtotime($SalesInvoiceDetailReport[0]['InvoiceDate']));
else
$sInvoiceDate = '_____/_____/_________';
?>
 
    
 <div class="wrapper">
 <!-- Main content --> 
 <div style="page-break-after:always"></div> 
 
 <section class="invoice">
  <!-- title row -->
   
    <div class="row">
      <div class="col-xs-12">
        <div style="height:150px; "></div>
        <table border="0" class="table table-striped">
         <thead>
         <tr>
           <td style="text-align:left; font-size: 16px; font-weight:600;">INV: <?php echo $SalesInvoiceDetailReport[0]['InvoiceNo']; ?> <br> Invoice Date: <?php echo $sInvoiceDate; ?></td>
           <td style="text-align:right; font-size: 16px; font-weight:600;">NTN No: <?php echo $SalesInvoiceDetailReport[0]['NTN']; ?></td>
         </tr>
         <tr>
           <td colspan="2" style="text-align:center; font-size: 26px; font-weight:bold;">BILL / INVOICE</td>
         </tr>
         </thead>
        </table>   
      </div>
    </div>
    <!-- info row -->
    
    <div class="row invoice-info">
      <div class="col-sm-12">
        <address>
         <p style="font-size:16px;">Mill Name:<span style="font-size:16px; font-weight:600;"> <?php echo $SalesInvoiceDetailReport[0]['CustomerName']; ?></span></p>
         <p style="font-size:16px;">Order No: <span style="font-size:16px; font-weight:600;"><?php echo $SalesInvoiceDetailReport[0]['CustomerOrderNo']; ?></span></p>
         <p style="font-size:16px;">Order Date: <span style="font-size:16px; font-weight:600;"><?php echo date('M d, Y', strtotime($SalesInvoiceDetailReport[0]['OrderDate'])); ?></span></p>
         <?php if($SalesInvoiceDetailReport[0]['ShipTo'] != '') { ?>
         <p style="font-size:16px;">Delivered To: <span style="font-size:16px; font-weight:600;"><?php echo $SalesInvoiceDetailReport[0]['ShipTo']; ?></span></p>
         <?php } ?>
        </address>
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
    <!-- Table row -->
    <div class="row">
      <div class="col-xs-12 table-responsive">
        <div class="table-head-only" style="overflow-x: scroll;">
         <table class="table table-bordered" style="width: 100%" id="table-basic">
          <thead>
           <tr>
            <th style="font-size:15px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid;">S#</th>
            <th style="font-size:15px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:auto;">PARTICULARS</th>
            <?php if($sMfgDate=="true") { ?> 
            <th style="font-size:15px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:auto;">MFG: DATE</th> 
            <?php } if($sExpiryDate=="true") { ?> 
            <th style="font-size:15px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:auto;">EXPIRY DATE</th> 
            <?php } if($sMfgName=="true") { ?>
            <th style="font-size:15px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:auto;">MFG:</th>
            <?php } ?>            
            <th style="font-size:15px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:auto;">RATE</th>
            <th style="font-size:15px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:auto;">QTY</th>
            <th style="font-size:15px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:auto;">AMOUNT</th>
           </tr>
          </thead>
          <tbody>
          <?php
          $TotalAmount = 0;
	  $SNo=1;
	  if(isset($SalesInvoiceDetailReport)) {
          foreach($SalesInvoiceDetailReport as $row) {
           
          if($sProductName == "true")
          $Particulars = $row['ProductGroupName'].' - '.$row['BrandName'];
          else
          $Particulars = $row['ProductGroupName'];
	  ?>
          <tr>
            <td style="font-size:14px; font-weight:600; text-align:center;"><?php echo $SNo; ?></td>
            <td style="font-size:14px; font-weight:600; text-align:left;"><?php echo $Particulars; ?></td>
            <?php  if($sMfgDate=="true") { ?> 
            <td style="font-size:14px; font-weight:600; text-align:center;"><?php echo $MFgdate = $row['ManufactureDate'] != '' ? $row['ManufactureDate'] : ''; ?></td>
            <?php } if($sExpiryDate=="true") { ?>
            <td style="font-size:14px; font-weight:600; text-align:center;"><?php echo $ExpDate = $row['ExpireDate'] != '' ? $row['ExpireDate'] : ''; ?></td>
            <?php } if($sMfgName=="true") { ?>
            <td style="font-size:14px; font-weight:600; text-align:center;"><?php echo $MfgName = $row['ManufactureName'] != '' ? $row['ManufactureName'] : ''; ?></td>
            <?php } ?>
            <td style="font-size:14px; font-weight:600; text-align:center;"><?php echo $row['UoM'] != 0 ? number_format(($row['UoM'] * $row['Rate']),2) : number_format($row['Rate'],2); ?></td>
            <td style="font-size:14px; font-weight:600; text-align:center;"><?php echo $row['UoM'] != 0 ? $row['Quantity'] / $row['UoM'].' (PKTS)' : $row['Quantity']; ?></td>
            <td style="font-size:14px; font-weight:600; text-align:center;"><?php echo number_format($row['Amount'],2); ?></td>
           </tr>
           <?php $SNo++; $TotalAmount += $row['Amount']; } ?>
           <tr>
             <td style="text-align:right; font-size:14px; font-weight:bold;"></td>
             <td style="text-align:right; font-size:14px; font-weight:bold;"></td>
         
             <?php if($sMfgDate=="true") { ?>
             <td style="text-align:right; font-size:14px; font-weight:bold;"></td>
             <?php } if($sExpiryDate=="true") { ?>
             <td style="text-align:right; font-size:14px; font-weight:bold;"></td>
             <?php } if($sMfgName=="true") { ?>
             <td style="text-align:right; font-size:14px; font-weight:bold;"></td>
             <?php } ?>
             <td style="text-align:right; font-size:14px; font-weight:bold;"></td>
             <td style="text-align:right; font-size:14px; font-weight:bold; text-align:right;">Total Rs.</td>
             <td style="text-align:left; font-size:14px; font-weight:bold; text-align:center;"><?php echo number_format($TotalAmount,2); ?></td>
           </tr>
          </tbody>
        </table>
        </div>
        <?php } ?>
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
    <div style="height:52px;"></div>
    <?php if($CompanyWarranty=='true') { ?>  
    <div class="row">
      <div class="col-xs-8">
        <p style="font-size:16px; font-weight:600; ">WARRANTY UNDER SECTION 23 OF THE DRUG ACT 1976:</p>
        <p style="margin-top: 10px; font-size: 14px;">
         <?php echo $SalesInvoiceDetailReport[0]['TermsCondition']; ?>
        </p>
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
    <?php } ?>
    <div style="height:5px;"></div>
    
    <div style=" text-align:center; border:0px solid;" class="col-xs-8">
    <div class="row">
      <div style="text-decoration: overline; border:0px solid;" class="col-xs-8">
        <p style="font-size:16px; font-weight:600; "></p>
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
    </div>
    
    <div style="text-align: right; border:0px solid;" class="col-xs-4">
    <div class="row">
        <div style="text-decoration: overline; border:0px solid;" class="col-xs-12">
        <p style="font-size:16px; font-weight:600; ">Authorized Signature</p>
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
    </div>
 </section>
 </div>
 
 <?php if($sDCReport == "true") { ?>
 <!-- Page Break code -->
 <div style="page-break-after:always"></div>
  
 <div class="wrapper">
 <section class="invoice">
    <!-- title row -->
    <div class="row">
        <div class="col-xs-12">
         <div style="height:150px; "></div>  
         <table border="0" class="table table-striped">
          <thead>
          <tr>
            <td style="text-align:left; font-size: 16px; font-weight:600;">Delivery Challan <?php echo $SalesInvoiceDetailReport[0]['InvoiceNo']; ?></td>
            <td style="text-align:right; font-size: 16px; font-weight:600;">DC Date: <?php echo $sInvoiceDate; ?></td>
          </tr>
          <tr>
            <td colspan="2" style="text-align:center; font-size: 26px; font-weight:bold;">Delivery Challan</td>
          </tr>
          </thead>
        </table>
        </div>
    </div>
    <!-- info row -->    
    <div class="row invoice-info">
      <div class="col-sm-12">
        <address>
          <p style="font-size:16px;">Mill Name: <span style="font-size:16px; font-weight:600;"><?php echo $SalesInvoiceDetailReport[0]['CustomerName']; ?></span></p>
          <p style="font-size:16px;">Order No: <span style="font-size:16px; font-weight:600;"><?php echo $SalesInvoiceDetailReport[0]['CustomerOrderNo']; ?></span></p>
          <p style="font-size:16px;">Order Date: <span style="font-size:16px; font-weight:600;"><?php echo date('M d, Y', strtotime($SalesInvoiceDetailReport[0]['OrderDate'])); ?></span></p>
          <?php if($SalesInvoiceDetailReport[0]['ShipTo'] != '') { ?>
          <p style="font-size:16px;">Delivered To: <span style="font-size:16px; font-weight:600;"><?php echo $SalesInvoiceDetailReport[0]['ShipTo']; ?></span></p>
          <?php } ?>
        </address>
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->

    <!-- Table row -->
    <div class="row">
      <div class="col-xs-12 table-responsive">
        <table border="0" class="table table-striped">
          <thead>
           <tr>
            <th style="font-size:16px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid;">S#</th>
            <th style="font-size:16px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid;">PARTICULARS</th>
            <?php } if($sMfgDate=="true") { ?> 
            <th style="font-size:16px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid;">MFG: DATE</th> 
            <?php } if($sExpiryDate=="true") { ?> 
            <th style="font-size:16px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid;">EXPIRY DATE</th> 
            <?php } if($sMfgName=="true") { ?>
            <th style="font-size:16px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid;">MFG:</th>
            <?php } ?>
            <th style="font-size:16px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid;">QTY</th>
            <th style="font-size:16px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid;">REMARKS</th>
           </tr>
          </thead>
          <tbody>
          <?php
          $TotalAmount = 0;
	  $SNo=1;
	  if(isset($SalesInvoiceDetailReport)) {
          foreach($SalesInvoiceDetailReport as $row) {
           
          if($sProductName == "true")
          $Particulars = $row['ProductGroupName'].' - '.$row['ProductName'];
          else
          $Particulars = $row['ProductGroupName'];         
	  ?>
          <tr>
            <td style="font-size:14px; font-weight:600; text-align:center;"><?php echo $SNo; ?></td>
            <td style="font-size:14px; font-weight:600; text-align:left;"><?php echo $Particulars; ?></td>
            <?php  if($sMfgDate=="true") { ?> 
            <td style="font-size:14px; font-weight:600; text-align:center;"><?php echo $row['ManufactureDate']; ?></td>
            <?php } if($sExpiryDate=="true") { ?>
            <td style="font-size:14px; font-weight:600; text-align:center;"><?php echo $row['ExpireDate']; ?></td>
            <?php } if($sMfgName=="true") { ?>
            <td style="font-size:14px; font-weight:600; text-align:center;"><?php echo $MfgName = $row['ManufactureName'] != '' ? $row['ManufactureName'] : ''; ?></td>
            <?php } ?>            
            <td style="font-size:14px; font-weight:600; text-align:center;"><?php echo $row['UoM'] != 0 ? $row['Quantity'] / $row['UoM'].' (PKTS)' : $row['Quantity']; ?></td>
            <td style="font-size:14px; font-weight:600; text-align:center;">&nbsp;</td>
           </tr>
           <?php $SNo++; $TotalAmount += $row['Amount']; } ?>
          </tbody>
        </table>
        <?php } ?>
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
    <div style="height:190px;"></div>
    
    <div style=" text-align:center;" class="col-xs-6">
    <div class="row">
      <div style="text-decoration: overline;" class="col-xs-8">
        <p style="font-size:16px; font-weight:600; ">Mill 's Signature</p>
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
    </div>
    
    <div style="text-align: right;" class="col-xs-6">
    <div class="row">
      <div style="text-decoration: overline;" class="col-xs-8">
        <p style="font-size:16px; font-weight:600; ">Authorized Signature</p>
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
    </div>
  </section>
  <!-- /.content -->
</div>
<!-- ./wrapper -->
 <?php // } ?>
</body>
</html>
<script src="<?php echo base_url(); ?>lib/js/freeze-table.js"></script>
<script>
$(document).ready(function() {

  $(".table-basic").freezeTable();

  $(".table-head-only").freezeTable({
    'freezeColumn': false,
  });

});
</script>