<?php
require_once('hijri.class.php');

// Create a function for converting the amount in words
function AmountInWords(float $amount)
{
    $amount_after_decimal = round($amount - ($num = floor($amount)), 2) * 100;
   // Check if there is any number after decimal
   $amt_hundred = null;
   $count_length = strlen($num);
   $x = 0;
   $string = array();
   $change_words = array(0 => '', 1 => 'One', 2 => 'Two',
     3 => 'Three', 4 => 'Four', 5 => 'Five', 6 => 'Six',
     7 => 'Seven', 8 => 'Eight', 9 => 'Nine',
     10 => 'Ten', 11 => 'Eleven', 12 => 'Twelve',
     13 => 'Thirteen', 14 => 'Fourteen', 15 => 'Fifteen',
     16 => 'Sixteen', 17 => 'Seventeen', 18 => 'Eighteen',
     19 => 'Nineteen', 20 => 'Twenty', 30 => 'Thirty',
     40 => 'Forty', 50 => 'Fifty', 60 => 'Sixty',
     70 => 'Seventy', 80 => 'Eighty', 90 => 'Ninety');
    $here_digits = array('', 'Hundred','Thousand','Lakh', 'Crore');
    while( $x < $count_length ) {
      $get_divider = ($x == 2) ? 10 : 100;
      $amount = floor($num % $get_divider);
      $num = floor($num / $get_divider);
      $x += $get_divider == 10 ? 1 : 2;
      if ($amount) {
       $add_plural = (($counter = count($string)) && $amount > 9) ? 's' : null;
       $amt_hundred = ($counter == 1 && $string[0]) ? ' and ' : null;
       $string [] = ($amount < 21) ? $change_words[$amount].' '. $here_digits[$counter]. $add_plural.' 
       '.$amt_hundred:$change_words[floor($amount / 10) * 10].' '.$change_words[$amount % 10]. ' 
       '.$here_digits[$counter].$add_plural.' '.$amt_hundred;
        }
   else $string[] = null;
   }
   
   $array_decimal  = array_map('intval', str_split($amount_after_decimal));
   $implode_to_Rupees = implode('', array_reverse($string));
   $get_paise = ($amount_after_decimal > 0) ? "Point " . ($change_words[$array_decimal[0]] . " 
   " . $change_words[$array_decimal[1]]) . ' ' : '';
   return ($implode_to_Rupees ? $implode_to_Rupees . ' ' : '') . $get_paise;
}
?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sales Invoice Detail Report</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.6 -->
  <script src="<?php echo base_url(); ?>plugins/jQuery/jquery-2.2.3.min.js"></script>
  <!-- Bootstrap 3.3.6 -->
  <script src="<?php echo base_url(); ?>bootstrap/js/bootstrap.min.js"></script>
  <!-- Bootstrap 3.3.6 -->
  <link rel="stylesheet" href="<?php echo base_url(); ?>bootstrap/css/bootstrap.min.css">
  <link rel="stylesheet" href="<?php echo base_url(); ?>plugins/select2/select2.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="<?php echo base_url(); ?>lib/css/font-awesome/font-awesome.min.css">
  <link rel="stylesheet" href="<?php echo base_url(); ?>lib/css/AdminLTE.min.css">
</head>
<style>

@media print {
  *{transition:none!important}

    body{
        width: 21cm;
        height: 29.7cm;
        margin: 0px 1000mm 5000mm 10mm; 
        /* change the margins as you want them to be. */
   }

  }
</style>
<body style="height: 17cm;">

<?php
// print_r($SaleInvoiceReport);

if(empty($SaleInvoiceReport)) die('<div style="text-align:center;">No record found.</div>'); 


$SaleType = '';

if($SaleInvoiceReport->SaleType == 1) {
    $SaleType = 'Cash';
}
if($SaleInvoiceReport->SaleType == 2) {
    $SaleType = 'Credit';
}
if($SaleInvoiceReport->SaleType == 3) {
    $SaleType = 'Online';
}


/*if($SaleInvoiceReportDetails[0]['InvoiceDate'])
$sInvoiceDate = date('M d, Y',strtotime($SaleInvoiceReportDetails[0]['InvoiceDate']));
else
$sInvoiceDate = '_____/_____/_________';*/
?>
 
    
 <div class="">
 <!-- Main content --> 
 <div style="page-break-after:always"></div> 
 
 <section class="invoice">
  <div class="col-xs-12 col-sm-12" style="padding-left: 0px;">
      <img src="<?php echo base_url() ?>images/company-logo/<?php echo $GetSettingInformation[0]['CompanyLogo']; ?>" alt="" width="180" class="img-fluid">
      <div class="pull-right" style="width:50%">
        <address>
         <p style="font-size:13px;letter-spacing: 1px;font-family:Calibri;"><b>Invoice No:</b>  <label>  <?php echo $SaleInvoiceReport->SaleId; ?></label>
         </p>                                                                                               
         <p style="font-size:13px;letter-spacing: 1px;font-family:Calibri;"><b>Date:</b> <span><?php echo date('l, d F Y',strtotime($SaleInvoiceReport->SaleDate)).", " .(new hijri\datetime($SaleInvoiceReport->SaleDate))->format('D _j _M _Yهـ'); ?></span>
         </p>
         <p style="font-size:13px;letter-spacing: 1px;font-family:Calibri;"><b>Customer/ARTI:</b><span> <?php echo $SaleInvoiceReport->CustomerName; ?></span>
         </p>
         <p style="font-size:13px;letter-spacing: 1px;font-family:Calibri;"><b>Cell no.</b><span> <?php echo $SaleInvoiceReport->CellNo; ?></span>
         </p>
         <p style="font-size:13px;letter-spacing: 1px;font-family:Calibri;"><b>Address:</b><span> <?php echo $SaleInvoiceReport->Address; ?></span>
         </p>
         <!-- <div style="height: 3px;"></div>
         <p style="font-size:14px;">Payment Type: <span><?php //echo $SaleType; ?></span></p> -->
         <?php // // } ?>
        </address>
      </div>
      <div class="box-header" style="padding-left: 0px;width:50%;">
        <?php
        if($GetSettingInformation[0]['Email'] != null){
            $emailAddress = "E-Mail Address. ".$GetSettingInformation[0]['Email'];
        }else{
            $emailAddress = "";
        }
        ?>
          <p style="font-weight: 600;letter-spacing: 1px;font-family:Calibri;margin-bottom: 7px;font-size: 13px;"> <?php echo $GetSettingInformation[0]['Address']; ?></p>
          <p style="font-weight: 600;letter-spacing: 1px;font-family:Calibri;margin-bottom: 7px;font-size: 13px;"> <?php echo $emailAddress; ?> </p>
          <p style="font-weight: 600;letter-spacing: 1px;font-family:Calibri;margin-bottom: 7px;font-size: 13px;"> <?php echo "<b>".$GetSettingInformation[0]['ContactPerson']."</b>"."- Cell no. ".$GetSettingInformation[0]['ContactNumber']; ?></p>
      </div> 
  </div>
    <!-- /.row -->
    <!-- Table row -->
    <div class="row">
      <div class="col-xs-12 table-responsive">
        <table border="1" class="table table-striped" style="margin-bottom: 0px;">
          <thead>
            <tr style="background:#3c8dbc; font-size:14px; color:#FFFFFF;border-bottom: 1px solid;">
            <th style="font-size:14px; font-family:Calibri; font-weight:bold; text-align:center;border-bottom: 1px solid; width:5%">S#</th>
            <th style="font-size:14px; font-family:Calibri; font-weight:bold; text-align:center;border-bottom: 1px solid; width:60%;">PRODUCT DETAILS</th>
            <th style="font-size:14px; font-family:Calibri; font-weight:bold; text-align:center;border-bottom: 1px solid; width:5%">WEIGHT-MUN</th> 
            <th style="font-size:14px; font-family:Calibri; font-weight:bold; text-align:center;border-bottom: 1px solid; width:10%">RATE-MUN</th> 
            <th style="font-size:14px; font-family:Calibri; font-weight:bold; text-align:center;border-bottom: 1px solid; width:10%">AMOUNT</th> 
           </tr>
          </thead>
          <tbody>

          <?php //
          $TotalQuantity = 0;
          $TotalAmount = 0;
          $TotalDiscount = 0;
          $TotalNetAmount = 0;
          $saleType = null; 
          $SNo=1;
          
          $grossAmount = 0;
          $invoiceDiscount = 0;
            if(isset($SaleInvoiceReportDetails)) {
                $k = 0;
                foreach($SaleInvoiceReportDetails as $row) {
                    $saleType = $row['SaleType'];
                    $grossAmount += $row['NetAmount'];
                    $invoiceDiscount = $row['TotalDiscount'];
                
                $Particulars = $row['BrandName'].' - '.$row['ProductGroupName'].' - '.$row['ProductName'];
            ?>
          <tr>
            <td style="font-size:13px;font-family:Calibri; font-weight:600;border: 1px solid; text-align:center;"><?php echo $SNo; ?></td>
            <td style="font-size:13px;font-family:Calibri; font-weight:600;border: 1px solid; text-align:left;"><?php echo $Particulars; ?></td>
            <td style="font-size:13px;font-family:Calibri; font-weight:600;border: 1px solid; text-align:center;"><?php echo number_format($row['Quantity'],0); ?></td>
            <td style="font-size:13px;font-family:Calibri; font-weight:600;border: 1px solid; text-align:center;"><?php echo number_format($row['Rate'],0); ?></td>
            <td style="font-size:13px;font-family:Calibri; font-weight:600;border: 1px solid; text-align:center;"><?php echo number_format($row['Amount'],0); ?></td>
          </tr>
          <?php $SNo++;
           $TotalQuantity += $row['Quantity'];
           $TotalAmount += $row['Amount'];
         
           } 
        }

        if(count($SaleInvoiceReportDetails) == 1){$height = 'height: 7cm'; }
        if(count($SaleInvoiceReportDetails) == 2){$height = 'height: 6cm'; }
        if(count($SaleInvoiceReportDetails) == 3){$height = 'height: 5cm'; }
        if(count($SaleInvoiceReportDetails) == 4){$height = 'height: 4cm'; }
        if(count($SaleInvoiceReportDetails) == 5){$height = "height: 3.5cm"; }
        if(count($SaleInvoiceReportDetails) == 6){$height = "height: 3.5cm"; }
        if(count($SaleInvoiceReportDetails) == 7){$height = "height: 3cm"; }
        if(count($SaleInvoiceReportDetails) == 8){$height = "height: 2.5cm"; }
        if(count($SaleInvoiceReportDetails) == 9){$height = "height: 2cm"; }
        if(count($SaleInvoiceReportDetails) == 10){$height = "height: 1.5cm"; }
        if(count($SaleInvoiceReportDetails) == 11){$height = "height: 1cm"; }

        if(count($SaleInvoiceReportDetails) == 1){$padding = 'padding-top: 7cm'; }
        if(count($SaleInvoiceReportDetails) == 2){$padding = 'padding-top: 6cm'; }
        if(count($SaleInvoiceReportDetails) == 3){$padding = 'padding-top: 5cm'; }
        if(count($SaleInvoiceReportDetails) == 4){$padding = 'padding-top: 4cm'; }
        if(count($SaleInvoiceReportDetails) == 5){$padding = "padding-top: 3.5cm"; }
        if(count($SaleInvoiceReportDetails) == 6){$padding = "padding-top: 3.5cm"; }
        if(count($SaleInvoiceReportDetails) == 7){$padding = "padding-top: 3cm"; }
        if(count($SaleInvoiceReportDetails) == 8){$padding = "padding-top: 2.5cm"; }
        if(count($SaleInvoiceReportDetails) == 9){$padding = "padding-top: 2cm"; }
        if(count($SaleInvoiceReportDetails) == 10){$padding = "padding-top: 1.5cm"; }
        if(count($SaleInvoiceReportDetails) == 11){$padding = "padding-top: 1cm"; }
        //if(count($SaleInvoiceReportDetails) > 1){$height = "padding-top: 17cm"; }
           ?>
  <tr style="<?php echo $height; ?>">
    <td style="font-size:13px; font-weight:600;border: 1px solid; text-align:center;"></td>
    <td style="font-size:13px; font-weight:600;border: 1px solid; text-align:left;<?php echo $padding; ?>">
      <span style="font-family:Calibri;background: #ece6df;padding-right: 80%;padding-top: 3px;padding-bottom: 3px;padding-left: 5px;"><?php echo $row['SaleNote']; ?></span></td>
    <td style="font-size:13px; font-weight:600;border: 1px solid; text-align:center;"></td>
    <td style="font-size:13px; font-weight:600;border: 1px solid; text-align:center;"></td>
    <td style="font-size:13px; font-weight:600;border: 1px solid; text-align:center;"></td>
  </tr>
    <!-- <tr style="width: 14cm;height: 17cm;"> -->
    </tr>
    <tr>
      <td colspan="2" style="font-size:13px;border: 1px solid; font-weight:600;"><span style="float:left;font-family:Calibri;"><?php echo "Rupees: ". AmountInWords($TotalAmount)." Only"; ?></span>
                                                              <span style="float:right;font-family:Calibri;">Total</span></td>
      <td style="font-size:13px; font-weight:600;border: 1px solid; text-align:center;font-family:Calibri;"><?php echo number_format($TotalQuantity,0); ?></td>
      <td style="font-size:13px; font-weight:600;border: 1px solid; text-align:center;font-family:Calibri;"><?php echo ""; ?></td>
      <td style="font-size:13px; font-weight:600;border: 1px solid; text-align:center;font-family:Calibri;"><?php echo number_format($TotalAmount,0); ?></td>
    </tr>
        
    </tbody>
        </table>
      </div>
      <!-- /.col -->
    </div>
    <div class="box-header">
    <span style="float:left;font-size:12px; font-family:Calibri;font-weight:bold;width:72%;text-align: right;">
     <p style="margin-bottom: 2px;"> برائے مہربانی نقد خریداری کو ترجیع دیں بصورت دیگر ادھار خریدی گئی اشیاء پر% 4 ماہانہ کرایہ چارج کیا جائے گا۔ </p>
     <p style="margin-bottom: 2px;">اپنے بل اور وارنٹی کارڈ 30 یوم کے اندر وصول کرلیں بصورت دیگر ہماری کسی قسم کی ذمہ داری نہیں ہو گی۔</p>
     <p style="margin-bottom: 2px;">تمام وارنٹی شدہ سامان کی وارنٹی کلیم متعلقہ کمپنی کی ذمہ داری ہے، لہزا وارنٹی کلیم کے لئیے متعلقہ کمپنی سروس سینٹرسے رجوع کریں۔</p>
     <p style="margin-bottom: 2px;"> فروخت شدہ اشیاہ واپس تبدیل نہیں ہو گی۔   شکریہ</p>  
    </span>

      <!-- <span class="pull-right" style="font-size:13px; font-family:Calibri;font-weight:bold;margin-top: 40px;border-top: 2px solid black;"><img src="<?php echo base_url() ?>images/company-logo/<?php //echo $GetSettingInformation[0]['CompanyLogo']; ?>" alt="" width="100" class="img-fluid"></span> -->
  <?php
    $convertArray   = ($ReceivedCashAmount != null) ? (array) $ReceivedCashAmount['GeneralJournalEntries'] : null;
    $cashRecieved   =  ($convertArray != null) ? $convertArray[0]['Credit'] : 0;
    $ar = ($SaleInvoices) ? $LastBalance : 0;
    $currentBalance = ($ar + ($grossAmount - $invoiceDiscount)) - $cashRecieved;

  if($saleType == 2){
  ?> 
      
      <span class="pull-right" style="font-size:13px; font-family:Calibri;font-weight:bold;margin-top: 0px;width:20%;">
      <table border="0" class="table table-striped">
        <tr>
            <td style="font-size:12px; font-weight:bold;">Previous Balance</td>
            <td style="text-align:center; font-size:12px; font-weight:bold;">
              <?php echo number_format($ar, 0); ?>
            </td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Current Inv Amount</td>
            <td style="text-align:center; font-size:12px; font-weight:bold;">
              <?php echo number_format(($grossAmount - $invoiceDiscount), 0); ?>
            </td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Received Cash</td>
            <td style="text-align:center; font-size:12px; font-weight:bold;">
              <?php echo number_format($cashRecieved, 0); ?>
            </td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold; color:white;background-color: #3c8dbc;">Current Balance</td>
            <td style="text-align:center; font-size:12px; font-weight:bold;color:white;background-color: #3c8dbc;">
              <?php echo number_format($currentBalance, 0); ?>
            </td>
        </tr>
       </table>
      </span>
  <?php } ?>
    </div>
    <!-- /.row -->
    <div style="height:52px;"></div>
    <?php // if($CompanyWarranty=='true') { ?>  
    <!-- <div class="row">
      <div class="col-xs-8">
        <p style="font-size:16px; font-weight:600; ">NOTE:</p>
        <p style="margin-top: 10px; font-size: 14px;">
         <?php //echo $SaleInvoiceReport->SaleNote ?>
        </p>
      </div> -->
      <!-- /.col -->
    <!-- </div> -->
    <!-- /.row -->
    <?php // } ?>
    <!-- <div style="height:50px;"></div> -->  

 </section>
 </div>
 
 <?php // if($sDCReport == "true") { ?>
 <!-- Page Break code -->
 <div style="page-break-after:always"></div>
  
 
</body>
</html>