<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sales Invoice Detail Report</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.6 -->
  <script src="<?php echo base_url(); ?>plugins/jQuery/jquery-2.2.3.min.js"></script>
  <!-- Bootstrap 3.3.6 -->
  <script src="<?php echo base_url(); ?>bootstrap/js/bootstrap.min.js"></script>
  <!-- Bootstrap 3.3.6 -->
  <link rel="stylesheet" href="<?php echo base_url(); ?>bootstrap/css/bootstrap.min.css">
  <link rel="stylesheet" href="<?php echo base_url(); ?>plugins/select2/select2.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="<?php echo base_url(); ?>lib/css/font-awesome/font-awesome.min.css">
  <link rel="stylesheet" href="<?php echo base_url(); ?>lib/css/AdminLTE.min.css">
</head>
<style>
@media print {
    body{
        width: 21cm;
        height: 29.7cm;
        margin: 0px 1000mm 5000mm 10mm; 
        /* change the margins as you want them to be. */
   } 
}
</style>
<body>
<?php

// print_r($SaleInvoiceReport);

if(empty($SaleInvoiceReport)) die('<div style="text-align:center;">No record found.</div>'); 


/*if($SaleInvoiceReportDetails[0]['InvoiceDate'])
$sInvoiceDate = date('M d, Y',strtotime($SaleInvoiceReportDetails[0]['InvoiceDate']));
else
$sInvoiceDate = '_____/_____/_________';*/
?>
 
    
 <div class="wrapper">
 <!-- Main content --> 
 <div style="page-break-after:always"></div> 
 
 <section class="invoice">

  <div class="col-xs-12 col-sm-12" style="padding-left: 0px;">
      <img src="<?php echo base_url() ?>images/company-logo/<?php echo $GetSettingInformation[0]['CompanyLogo']; ?>" alt="" width="100" class="img-fluid">
      <div class="pull-right" style="width:50%">
        <p style="text-align:center; font-size: 20px; font-weight:bold;">QUOTATION INVOICE</p>
        <address>
         <p style="font-size:13px;letter-spacing: 1px;font-family:Calibri;margin-bottom:1px;"><b>Invoice No:</b>  <label>  <?php echo $SaleInvoiceReport->SaleId; ?></label>
          <span style="font-size:13px;letter-spacing: 1px;font-family:Calibri;margin-bottom:1px;padding-left:15px;"><b>User ID:</b> <span style="font-size:13px;letter-spacing: 1px;font-family:Calibri;"><?php echo $GetSettingInformation[0]['ContactPerson']; ?></span></span>
         </p>
         <p style="font-size:13px;letter-spacing: 1px;font-family:Calibri;margin-bottom:4px;"><b>Date:</b> <span style="font-size:13px;letter-spacing: 1px;font-family:Calibri;"><?php echo date("M d, Y H:i:s",strtotime($SaleInvoiceReport->SaleDate)); ?></span>
         </p>
         <p style="font-size:13px;letter-spacing: 1px;font-family:Calibri;margin-bottom:4px;"><b>Mill Name:</b> <span style="font-size:13px;letter-spacing: 1px;font-family:Calibri;"> <?php echo $SaleInvoiceReport->CustomerName; ?></span>
         </p>
         <p style="font-size:13px;letter-spacing: 1px;font-family:Calibri;margin-bottom:4px;"><b>Cell no.</b><span> <?php echo $SaleInvoiceReport->CellNo; ?></span>
         </p>
         <!-- <div style="height: 3px;"></div>
         <p style="font-size:16px;">Payment Type: <span style="font-size:16px; font-weight:600;"><?php //echo $SaleType; ?></span></p> -->
         <?php // // } ?>
        </address>
      </div>
    <div class="box-header" style="padding-left: 0px;width:50%;">
      <?php
      if($GetSettingInformation[0]['Email'] != null){
          $emailAddress = "E-Mail Address. ".$GetSettingInformation[0]['Email'];
      }else{
          $emailAddress = "";
      }
      ?>
        <p style="font-weight: 600;letter-spacing: 1px;font-family:Calibri;margin-bottom: 14px;font-size: 13px;"> <?php echo $GetSettingInformation[0]['Address']; ?></p>
        <p style="font-weight: 600;letter-spacing: 1px;font-family:Calibri;margin-bottom: 14px;font-size: 13px;"> <?php echo $emailAddress; ?> </p>
        <p style="font-weight: 600;letter-spacing: 1px;font-family:Calibri;margin-bottom: 14px;font-size: 13px;"> <?php echo "<b>".$GetSettingInformation[0]['ContactPerson']."</b>"."- Cell no. ".$GetSettingInformation[0]['ContactNumber']; ?></p>
    </div> 
  
  </div>
    <!-- /.row -->
    <!-- Table row -->
    <div class="row">
      <div class="col-xs-12 table-responsive">
        <table border="0" class="table table-striped">
          <thead>
            <tr style="background:#3c8dbc; font-size:14px; color:#FFFFFF;">
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid;width:1%">S#</th>
            <th style="font-size:14px; font-weight:600; text-align:left; border-bottom:1px solid; border-top:1px solid; width:16%;">PRODUCT DETAILS</th>
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:8%;">Packing</th> 
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:8%">WEIGHT</th> 
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:8%">RATE</th> 
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:8%">AMOUNT</th> 
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:8%">DEDUCTION/KAAT</th>
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:8%">NET AMOUNT</th>
           </tr>
          </thead>
          <tbody>
          <?php //
          $TotalQuantity = 0;
          $TotalAmount = 0;
          $TotalDiscount = 0;
          $TotalNetAmount = 0;
	  $SNo=1;
	  if(isset($SaleInvoiceReportDetails)) {
      
        $grossAmount = 0;
        $invoiceDiscount = 0;
        $k = 0;
          foreach($SaleInvoiceReportDetails as $row) {
            $grossAmount += $row['NetAmount'];
           
          $Particulars = $row['CategoryName'].' - '.$row['BrandName'].' - '.$row['ProductName'];
	  ?>
          <tr>
            <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo $SNo; ?></td>
            <td style="font-size:13px; font-weight:600; text-align:left;"><?php echo $Particulars; ?></td>
            <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo $row['ProductGroupName']; ?></td>
            <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo number_format($row['Quantity'],2); ?></td>
            <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo number_format($row['Rate'],2); ?></td>
            <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo number_format($row['Amount'],2); ?></td>
             <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo ($row['DiscountAmount'] + $row['TaxAmount']); ?></td>
             <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo number_format(($row['NetAmount']),2); ?></td>
           </tr>
           <?php $SNo++;
           $TotalQuantity += $row['Quantity'];
           $TotalAmount += $row['Amount'];
           $TotalDiscount += ($row['DiscountAmount'] + $row['TaxAmount']);
           $TotalNetAmount += $row['NetAmount'];
         
           } 
           ?>
      
           <tr style="margin-top:100px;">
            <td style="text-align:right; font-size:12px; font-weight:bold;"></td>
           </tr>
          </tbody>
        </table>
        <?php } ?>
      </div>
      <!-- /.col -->
    </div>
    <div class="box-header">
      <span class="pull-right" style="font-size:13px; font-family: Arial, Helvetica, sans-serif;font-weight:bold;margin-top: 10px;">AUTHORIZED SIGNATURE</span>

    </div>
    <!-- /.row -->
    <div style="height:52px;"></div>
    <?php // if($CompanyWarranty=='true') { ?>  
    <!-- <div class="row">
      <div class="col-xs-8">
        <p style="font-size:16px; font-weight:600; ">NOTE:</p>
        <p style="margin-top: 10px; font-size: 14px;">
         <?php //echo $SaleInvoiceReport->SaleNote ?>
        </p>
      </div> -->
      <!-- /.col -->
    <!-- </div> -->
    <!-- /.row -->
    <?php // } ?>
    <!-- <div style="height:50px;"></div> -->

 <div class="row">
      <div class="col-xs-12">
        <div style="height:5px; "></div>
        <table border="0" class="table table-striped">
         <thead>
         <tr>
           <td colspan="6" style="text-align:center; font-size: 12px; font-weight:bold;">Software Developed By: AL-SYED Accountancy & Software Solution <br> Contact No. 0343-3000301</td>
         </tr>
        
         </thead>
        </table>   
      </div>
    </div>    

 </section>
 </div>
 
 <?php // if($sDCReport == "true") { ?>
 <!-- Page Break code -->
 <div style="page-break-after:always"></div>
  
 
</body>
</html>