<?php defined('BASEPATH') OR exit('No direct script access allowed');
class Dashboard extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
		$this->check_isvalidated();
        $this->load->model('Employee_model');
        $this->load->model('Dashboard_model');
		$this->load->model('Customer_model');
//        $this->load->helper("url");
		date_default_timezone_set('Asia/Karachi');
	}

	function index__()
	{
	    $data['EmployeeRoles'] = $this->Employee_model->GetEmployeeRoles($this->session->userdata('EmployeeId'));
	    $data['AdministrationRoles'] = $this->Employee_model->GetAdministrationRoles($this->session->userdata('EmployeeId'));
	    $data['SalesRoles'] = $this->Employee_model->GetSalesRoles($this->session->userdata('EmployeeId'));
	    $data['PurchasesRoles'] = $this->Employee_model->GetPurchasesRoles($this->session->userdata('EmployeeId'));
	    $data['ReportsRoles'] = $this->Employee_model->GetReportsRoles($this->session->userdata('EmployeeId'));
	    $data['RegistrationRoles'] = $this->Employee_model->GetRegistrationRoles($this->session->userdata('EmployeeId'));
	    $data['TransactionRoles'] = $this->Employee_model->GetTransactionRoles($this->session->userdata('EmployeeId'));

	    $data['CustomerNotification'] = $this->Customer_model->GetNotifications();
		$this->load->view('dashboard/dashboards', $data);
	}
	
	
	
	function index()
	{
	    $data['EmployeeRoles'] = $this->Employee_model->GetEmployeeRoles($this->session->userdata('EmployeeId'));
	    $data['AdministrationRoles'] = $this->Employee_model->GetAdministrationRoles($this->session->userdata('EmployeeId'));
	    $data['SalesRoles'] = $this->Employee_model->GetSalesRoles($this->session->userdata('EmployeeId'));
	    $data['PurchasesRoles'] = $this->Employee_model->GetPurchasesRoles($this->session->userdata('EmployeeId'));
	    $data['ReportsRoles'] = $this->Employee_model->GetReportsRoles($this->session->userdata('EmployeeId'));
	    $data['RegistrationRoles'] = $this->Employee_model->GetRegistrationRoles($this->session->userdata('EmployeeId'));
	    $data['TransactionRoles'] = $this->Employee_model->GetTransactionRoles($this->session->userdata('EmployeeId'));
	    

		$data['CancelledSales'] = $this->Dashboard_model->CancelledSales();
		$data['CancelledPurchases'] = $this->Dashboard_model->CancelledPurchases();

		$data['CurrentMonthSales'] = $this->Dashboard_model->CurrentMonthSales();
	    $data['CurrentMonthPurchase'] = $this->Dashboard_model->CurrentMonthPurchase();
/*	    
	   $data['Sales'] = $this->Dashboard_model->TotalSales();
	   $data['Purchases'] = $this->Dashboard_model->TotalPurchases();
	   $data['Customers'] = $this->Dashboard_model->TotalCustomers();
	   $data['Vendors'] = $this->Dashboard_model->TotalVendors();

	   $data['CustomerOutstanding'] = $this->Dashboard_model->CustomerOutstanding();
	   $data['VendorOutstanding'] = $this->Dashboard_model->VendorOutstanding();
	   
	   $data['TotalSalesInvoices'] = $this->Dashboard_model->TotalSalesInvoices();
	   $data['TotalInvoices'] = $this->Dashboard_model->TotalInvoices();

	   $data['FeaturedCustomers'] = $this->Dashboard_model->FeaturedCustomers();
	   $data['FeaturedVendors'] = $this->Dashboard_model->FeaturedVendors();
	   $data['FeaturedProducts'] = $this->Dashboard_model->FeaturedProducts();
	   	$data['FeaturedPurchasedProducts'] = $this->Dashboard_model->FeaturedPurchasedProducts();
	   $data['FinishedProductDetail'] = $this->Dashboard_model->SumAllFinishedProducts();
	   $data['BankBalance'] = $this->Dashboard_model->BankBalance();*/

/*	   echo "<pre>";
	   print_r($data['BankBalance']);
	   die;*/

//	   	echo $this->output->enable_profiler();
$data['CustomerNotification'] = $this->Customer_model->GetNotifications();	   
$this->load->view('dashboard/dashboards',$data);
	}
	
	private function check_isvalidated()
	{
            if(!$this->session->userdata('EmployeeId'))
            { $this->session->set_userdata('url',  current_url()); redirect('Login'); }
	}
}
?>