<?php
$this->load->view("includes/header");
$this->load->view("includes/sidebar");
?>
<!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1><i class="glyphicon glyphicon-user"></i>&nbsp;Customer / ARTI</h1>
    </section>
  <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-md-12">
          <!-- form elements --> 
          <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">View Customer / ARTI Details</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body no-padding">
            <form role="form" class="form-horizontal" enctype="multipart/form-data" action='<?php echo base_url("Customer/SaveCustomer/?CustomerId=".$GetCustomer->CustomerId); ?>' method="post"> 
              <div class="box-body">
                <div class="form-group">
                  <label for="CustomerName" class="col-sm-1 control-label">Customer / ARTI Name:</label>
                  <div class="col-sm-4">
                      <?php echo $GetCustomer->CustomerName; ?>
                  </div>
                </div>
                <div class="form-group">
                  <label for="ContactName" class="col-sm-1 control-label">Contact Name:</label>
                  <div class="col-sm-4">
                  <?php echo $GetCustomer->ContactName; ?>
                  </div>
                </div>
                <div class="form-group">
                  <label for="Address" class="col-sm-1 control-label">Address:</label>
                  <div class="col-sm-4">
                  <?php echo $GetCustomer->Address; ?>
                  </div>
                </div>
              
                <div class="form-group">
                  <label for="Address" class="col-sm-1 control-label">Area:</label>
                  <div class="col-sm-4">
                  <?php  foreach($GetAllAreas as  $value)
                    {
                     if($value['id'] == $GetCustomer->AreaId){
                        echo $value['Area_name'];
                     } 
                    } ?>
                  </div>
                </div>

              <div class="form-group">
                  <label for="Email" class="col-sm-1 control-label">Email:</label>
                  <div class="col-sm-4">
                  <?php echo $GetCustomer->Email; ?>
                  </div>
                </div>
                <div class="form-group">
                  <label for="PhoneNo" class="col-sm-1 control-label">Phone No:</label>
                  <div class="col-sm-4">
                  <?php echo $GetCustomer->PhoneNo; ?>
                  </div>
                </div>
                <div class="form-group">
                  <label for="CellNo" class="col-sm-1 control-label">Cell No 1:</label>
                  <div class="col-sm-4">
                  <?php echo $GetCustomer->CellNo; ?>
                  </div>
                </div>

		            <div class="form-group">
                  <label for="FaxNo" class="col-sm-1 control-label">Cell No 2:</label>
                  <div class="col-sm-4">
                  <?php echo $GetCustomer->FaxNo; ?>
                  </div>
                </div>
               <div class="form-group">
                  <label for="Website" class="col-sm-1 control-label">Website:</label>
                  <div class="col-sm-4">
                  <?php echo $GetCustomer->Website; ?>
                  </div>
                </div>
                <div class="form-group">
                  <label for="FaxNo" class="col-sm-1 control-label">Notes:</label>
                  <div class="col-sm-4">
                  <?php echo $GetCustomer->Note; ?>
                  </div>
                </div>
               <div class="form-group">
                  <label for="Website" class="col-sm-1 control-label">Note Alert Date:</label>
                  <div class="col-sm-4">
                  <?php echo $GetCustomer->AlertDate; ?>
                  </div>
                </div>
                <!-- <div class="form-group">
                  <label for="ChartOfAccountCode" class="col-sm-1 control-label">Chart Of Account Code:</label>
                  <div class="col-sm-4">
                  <?php // echo $GetCustomer->ChartOfAccountsCode; ?>
                  </div>
                </div>
                <div class="form-group">
                  <label for="ChartOfChartOfAccountsTitle" class="col-sm-1 control-label">Chart Of Account Title:</label>
                  <div class="col-sm-4">
                  <?php // echo $GetCustomer->ChartOfAccountsTitle; ?>
                  </div>
                </div> -->
              </div>
	      <div class="box-body">
		<div class="row">
      <div class="col-md-2">
        <a href="<?php echo base_url(); ?>Customer/AddCustomer"><button type="button" name="cancelForm" value="cancelUpdate" class="btn btn-block bg-primary">Add Record</button></a>
      </div>
		  <div class="col-md-2">
		    <a href="<?php echo base_url(); ?>Customer/"><button type="button" name="cancelForm" value="cancelUpdate" class="btn btn-block btn-primary">Back to main</button></a>
		  </div>
		</div>  
            </div>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
<script>
//CustomerName

$(function(){
        $('#CustomerName').focus( function() {
            $("#ChartOfAccount").val(<?php echo $COA_Code?>);
        });

        $('#CustomerName').blur( function() {
           var COA_txt = $("#ChartOfAccount").val();
           var CustomerName = $(this).val();
           $("#ChartOfAccount").val(COA_txt+'-'+CustomerName)
        });
    
    
});

</script>    
<?php $this->load->view("includes/footer"); ?>