<?php
$this->load->view("includes/header");
$this->load->view("includes/sidebar");                
?>
<script>
 function removeCommas(inputText) {
    // pattern works from right to left
    str =inputText.replace(",","");
    return str;
}
</script>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1><i class="fa fa-medkit"></i>&nbsp;Products</h1>
    </section>
  <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-md-12">
          <!-- Horizontal Form -->
          <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Add New Product</h3>
            </div>
            <!-- /.box-header -->
            <!-- form start -->
            <form role="form" id="ProductForm" class="form-horizontal" enctype="multipart/form-data" action="<?php echo base_url(); ?>/Product/SaveProduct" method="post"> 
              <div class="box-body">
                  
                <div class="form-group">
                  <label for="ProductGroupName" class="col-sm-1 control-label">Product Category:</label>
                  <div class="col-sm-4">
		                <select name="CategoryId" class="form-control select2" required>
                     <option selected="selected">Select Category</option>
                     <?php foreach ($GetAllCategories as $row) { ?>
                     <option value="<?php  echo $row['CategoryId']; ?>"><?php echo $row['CategoryName']; ?></option>
                     <?php } ?>
                    </select>
                  </div>
                </div> 

                <div class="form-group">
                  <label for="ProductGroupName" class="col-sm-1 control-label">Packing:</label>
                  <div class="col-sm-4">
                    <select name="ProductGroupId" class="form-control select2" required>
                     <option selected="selected">Select Packing</option>
                     <?php foreach ($GetAllProductGroup as $row) { ?>
                     <option value="<?php  echo $row['ProductGroupId']; ?>"><?php echo $row['ProductGroupName']; ?></option>
                     <?php } ?>
                    </select>
                  </div>
                </div> 

                <div class="form-group">
                  <label for="Brand" class="col-sm-1 control-label">Quality:</label>
                  <div class="col-sm-4">
                    <select name="BrandId" class="form-control select2" required>
                     <option selected="selected">Select Quality</option>
                     <?php foreach ($GetAllBrands as $row) { ?>
                     <option value="<?php  echo $row['BrandId']; ?>"><?php echo $row['BrandName']; ?></option>
                     <?php } ?>
                    </select>
                  </div>
                </div> 

                <div class="form-group">
                <?php echo "<font style=color:#00468E;font-weight:bold text-align:center;>".$this->session->flashdata('Validate_product')."</font>"; ?>
                  <label for="ProductName" class="col-sm-1 control-label">Model No:</label>
                  <div class="col-sm-4">
		              <input type="text" class="form-control" name="ProductName" required autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="SerialNumber" class="col-sm-1 control-label">Serial Number:</label>
                  <div class="col-sm-4">
                  <input type="text" class="form-control" name="SerialNumber" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="BarCode" class="col-sm-1 control-label">Bar Code:</label>
                  <div class="col-sm-4">
                    <input type="text" class="form-control" name="ProductBarCode" id="ProductBarCode" autocomplete="off">
                  </div>
                </div> 

                <div class="form-group">
                  <label for="MinimumStock" class="col-sm-1 control-label">Minimum Stock:</label>
                  <div class="col-sm-4">
                    <input type="text" class="form-control" name="MinimumStock" id="MinimumStock" placeholder="" autocomplete="off">
                  </div>
                </div> 

                <div class="form-group">
                  <label for="PurchasePrice" class="col-sm-1 control-label">Purchase Price:</label>
                  <div class="col-sm-4">
                    <input type="text" class="form-control" name="PurchasePrice" id="PurchasePrice" placeholder="" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="SalePrice" class="col-sm-1 control-label">Sale Price:</label>
                  <div class="col-sm-4">
                    <input type="text" class="form-control" name="SellPrice" id="SellPrice" placeholder="" autocomplete="off">
                  </div>
                </div>
				
				<div class="form-group">
                  <label for="FinalPrice" class="col-sm-1 control-label">Final Price:</label>
                  <div class="col-sm-4">
                    <input type="text" class="form-control" name="FinalPrice" id="FinalPrice" placeholder="" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="OpeningStock" class="col-sm-1 control-label">Opening Stock:</label>
                  <div class="col-sm-4">
                    <input type="text" class="form-control" name="OpeningStock" id="OpeningStock" placeholder="" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="OpeningStockDae" class="col-sm-1 control-label">Opening Stock Date:</label>
                  <div class="col-sm-4">
                    <input type="text" class="form-control" name="OpeningStockDae" id="datepicker1" placeholder="" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="Policy" class="col-sm-1 control-label">Policy%:</label>
                  <div class="col-sm-4">
                    <input type="text" class="form-control" name="Policy" id="Policy" placeholder="" autocomplete="off">
                  </div>
                </div>

                <div class="form-group">
                  <label for="OpeningStockDae" class="col-sm-1 control-label">Upload Imge:</label>
                  <div class="col-sm-4">
                    <input type="file" name="ProductImage" id="ProductImage" class="form-control" value="" >
                  </div>
                </div>

                <div class="form-group">
                  <label for="OpeningStockDae" class="col-sm-1 control-label">Product Specification:</label>
                  <div class="col-sm-4">
                    <textarea name="ProductDetails" id="ProductDetails" class="form-control" rows="3" ></textarea>
                  </div>
                </div>

              </div>
              <!-- /.box-body -->
              <div class="box-body">
               <div class="row">
                  <div class='col-md-2'>
                <button type="submit" class="btn btn-block btn-primary">Save Record</button>
              </div>
             <div class="col-md-2">
               <a href="<?php echo base_url(); ?>Product/"><button type="button" name="BankToMain" value="BankToMain" class="btn btn-block btn-primary">Back to Main</button></a>
              </div>
             </div>
            </div>
              <!-- /.box-footer -->
            </form>
          </div>
       </div>
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 
 <script>  
 $( "#ProductForm" ).submit(function( event ) {
    var OpenningQuantityUnit = $("#OpenningQuantityUnit").val();
    var CurrentOpenningQuantityUnit = $("#CurrentOpenningQuantityUnit").val();
    //var Remaning;
    //Remaning = OpenningQuantityUnit - CurrentOpenningQuantityUnit;
    if(parseInt(OpenningQuantityUnit) < parseInt(CurrentOpenningQuantityUnit)) {
    alert('You cannot enter less quantity than previous quantity');
    event.preventDefault();
    $(this).focus;
  }
});
</script>
  
</div>
<!-- ./wrapper -->
<?php $this->load->view("includes/footer"); ?>