<?php
$this->load->view("includes/header");
$this->load->view("includes/sidebar");                
?>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1><i class="fa fa-medkit"></i>&nbsp;Products</h1>
    </section>
  <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-md-12">
          <!-- Horizontal Form -->
          <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">View Product</h3>
            </div>
            <!-- /.box-header -->
            <!-- form start -->
            <form role="form" class="form-horizontal" enctype="multipart/form-data" action='<?php echo base_url("Product/SaveProduct"); ?>' method="post"> 
              <div class="box-body">
                <div class="form-group">
                  <label for="CategoryName" class="col-sm-1 control-label">Category:</label>
                  <div class="col-sm-4">
                  <?php echo $GetProduct->CategoryName?>
                  </div>
                </div>

                <div class="form-group">
                  <label for="ProductName" class="col-sm-1 control-label">Packing:</label>
                  <div class="col-sm-3">
                 <?php echo $GetProduct->ProductGroupName?>
                  </div>
                </div>

                <div class="form-group">
                  <label for="ProductName" class="col-sm-1 control-label">Quality:</label>
                  <div class="col-sm-4">
                 <?php echo $GetProduct->BrandName?>
                  </div>
                </div>

                <div class="form-group">
                  <label for="ProductName" class="col-sm-1 control-label">Model No:</label>
                  <div class="col-sm-4">
                 <?php echo $GetProduct->ProductName?>
                  </div>
                </div>

                <div class="form-group">
                  <label for="SerialNumber" class="col-sm-1 control-label">Serial Number:</label>
                  <div class="col-sm-4">
                 <?php echo $GetProduct->SerialNumber?>
                  </div>
                </div>

                <div class="form-group">
                  <label for="BarCode" class="col-sm-1 control-label">Bar Code:</label>
                  <div class="col-sm-4">
                 <?php echo $GetProduct->ProductBarCode ?>
                  </div>
                </div>

                <div class="form-group">
                  <label for="MinimumStock" class="col-sm-1 control-label">Minimum Stock:</label>
                  <div class="col-sm-4">
                    <?php echo $GetProduct->MinimumStock?>
                  </div>
                </div>

                <div class="form-group">
                  <label for="Purchase Price" class="col-sm-1 control-label">Purchase Price:</label>
                  <div class="col-sm-4">
                 <?php echo $GetProduct->PurchasePrice?>
                  </div>
                </div>

                <div class="form-group">
                  <label for="Sale Price" class="col-sm-1 control-label">Sale Price:</label>
                  <div class="col-sm-4">
                 <?php echo $GetProduct->SellPrice ?>
                  </div>
                </div>
				
				        <div class="form-group">
                  <label for="FinalPrice" class="col-sm-1 control-label">Final Price:</label>
                  <div class="col-sm-4">
                 <?php echo $GetProduct->FinalPrice ?>
                  </div>
                </div>

                <div class="form-group">
                  <label for="OpeningStock" class="col-sm-1 control-label">Opening Stock:</label>
                  <div class="col-sm-4">
                    <?php echo $GetProduct->OpeningStock?>
                  </div>
                </div>

                <div class="form-group">
                  <label for="OpeningStockDate" class="col-sm-1 control-label">Opening Stock Date:</label>
                  <div class="col-sm-4">
                    <?php if($GetProduct->OpeningStockDate) { echo date("M d, Y", strtotime($GetProduct->OpeningStockDate )); }?>
                  </div>
                </div>
                
                <div class="form-group">
                  <label for="Policy" class="col-sm-1 control-label">Policy%:</label>
                  <div class="col-sm-4">
                    <?php echo $GetProduct->Policy?>
                  </div>
                </div>

                <div class="form-group">
                  <label for="Sale Price" class="col-sm-1 control-label">Product Image:</label>
                  <div class="col-sm-3">
                  <img src="<?php echo base_url(); ?>uploads/products/<?php echo $GetProduct->ProductImage; ?>" width="200" height="200">
                  </div>
                </div>

                <div class="form-group">
                  <label for="Product Details" class="col-sm-1 control-label">Product Specification:</label>
                  <div class="col-sm-4">
                 <?php echo $GetProduct->ProductDetails?>
                  </div>
                </div>

                
              </div>
              <!-- /.box-body -->
              <div class="box-body">
               <div class="row">
    <div class='col-md-2'>
     <a href="<?php echo base_url(); ?>Product/AddProduct" class="btn btn-block btn-primary">Add Record</a>
    </div>   
               <div class="col-md-2">
               <a href="<?php echo base_url(); ?>Product/"><button type="button" name="BankToMain" value="BankToMain" class="btn btn-block btn-primary">Back to Main</button></a>
                </div>
               </div>
              </div>
              <!-- /.box-footer -->
            </form>
          </div>
       </div>
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
<!-- ./wrapper -->
<?php $this->load->view("includes/footer"); ?>