<?php
$this->load->view("includes/header");
$this->load->view("includes/sidebar");                
?>
<script>
 function removeCommas(inputText) {
    // pattern works from right to left
    str =inputText.replace(",","");
    return str;
}
</script>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1><i class="fa fa-medkit"></i>&nbsp;Product Rates</h1>
    </section>
  <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-md-12">
          <!-- Horizontal Form -->
          <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Add Product Rate</h3>
            </div>
            <!-- /.box-header -->
            <!-- form start -->
            <form role="form" id="ProductForm" class="form-horizontal" enctype="multipart/form-data" action="<?php echo base_url(); ?>/ProductRates/SaveProductRate" method="post"> 
              <div class="box-body">

                <div class="form-group">
                  <label for="ProductGroupName" class="col-sm-1 control-label">Product Category:</label>
                  <div class="col-sm-4">
      <select name="CategoryId" id="CategoryId" class="form-control select2" required>
                     <option selected="selected">Select Category</option>
                     <?php foreach ($Categories as $row) { ?>
                     <option value="<?php  echo $row['CategoryId']; ?>"><?php echo $row['CategoryName']; ?></option>
                     <?php } ?>
                  </select>
                  </div>
                </div> 
                  
                <div id="CategoryProductDiv">
                  <img id="loader" src="<?php echo base_url(); ?>lib/img/loader.gif" style="display: none; margin-left: 35%; margin-bottom: 2%;" />
                </div> 

                <div class="form-group" style="display: none;" id="VendorDiv">
                  <label for="ProductGroupName" class="col-sm-1 control-label">Vendor:</label>
                  <div class="col-sm-4">
      <select name="VendorId" class="form-control select2" required style=" width: 100%">
                     <option selected="selected">Select Vendor</option>
                     <?php foreach ($Vendors as $row) { ?>
                     <option value="<?php  echo $row['VendorId']; ?>"><?php echo $row['VendorName']; ?></option>
                     <?php } ?>
                  </select>
                  </div>
                </div> 

                <div class="form-group" style="display: none;" id="CustomerDiv">
                  <label for="ProductGroupName" class="col-sm-1 control-label">Mill:</label>
                  <div class="col-sm-4">
      <select name="CustomerId" class="form-control select2" required style=" width: 100%">
                     <option selected="selected">Select Mill</option>
                     <?php foreach ($Customers as $row) { ?>
                     <option value="<?php  echo $row['CustomerId']; ?>"><?php echo $row['CustomerName']; ?></option>
                     <?php } ?>
                  </select>
                  </div>
                </div> 

                 <div class="form-group">
                  <label for="Rate" class="col-sm-1 control-label">Rate:</label>
                  <div class="col-sm-4">
                    <input type="text" class="form-control" name="Rate" id="Rate" placeholder="Enter Rate" required autocomplete="off">
                  </div>
                </div> 
                <div class="form-group">
                <label for="Note" class="col-sm-1 control-label">Note:</label>
                <div class="col-sm-4">
                <textarea name="Note" class="form-control" rows="4" cols="45"></textarea>
                </div>
              </div>

              </div>
              <!-- /.box-body -->
              <div class="box-body">
               <div class="row">
                  <div class='col-md-2'>
                <button type="submit" class="btn btn-block btn-primary">Save Record</button>
                  </div>
                  <div class="col-md-2">
                   <a href="<?php echo base_url(); ?>ProductRates">
                  <button type="button" name="BankToMain" value="BankToMain" class="btn btn-block bg-orange">Back to Main</button></a>
                  </div>
               </div>
              </div>

              <!-- /.box-footer -->
            </form>
          </div>
       </div>
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 
 <script>  
 $( "#ProductForm" ).submit(function( event ) {
    var OpenningQuantityUnit = $("#OpenningQuantityUnit").val();
    var CurrentOpenningQuantityUnit = $("#CurrentOpenningQuantityUnit").val();
    //var Remaning;
    //Remaning = OpenningQuantityUnit - CurrentOpenningQuantityUnit;
    if(parseInt(OpenningQuantityUnit) < parseInt(CurrentOpenningQuantityUnit)) {
    alert('You cannot enter less quantity than previous quantity');
    event.preventDefault();
    $(this).focus;
  }
});
</script>
  
</div>
<!-- ./wrapper -->
<?php $this->load->view("includes/footer"); ?>

<script>
  $(function(){
    $("#CategoryId").on('change', function(){
      if ($(this).val() == 1) {
        $("#VendorDiv").css('display', 'block');
        $("#CustomerDiv").css('display', 'none');
      }
      if ($(this).val() == 2) {
        $("#CustomerDiv").css('display', 'block');
        $("#VendorDiv").css('display', 'none');
      }
    var CategoryId = $("#CategoryId").val();
    $.ajax({
      url: '<?php echo base_url(); ?>ProductRates/GetCategoryProducts',
      data:{CategoryId:CategoryId},
      type:'post',
        beforeSend: function(){
        $("#loader").css('display', 'inline');
        },
        success:function(data){
        $("#loader").css('display', 'none');
        $("#CategoryProductDiv").html(data)
      }
    });

    })
  })
</script>