<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sales Invoice Detail Report</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.6 -->
  <script src="<?php echo base_url(); ?>plugins/jQuery/jquery-2.2.3.min.js"></script>
  <!-- Bootstrap 3.3.6 -->
  <script src="<?php echo base_url(); ?>bootstrap/js/bootstrap.min.js"></script>
  <!-- Bootstrap 3.3.6 -->
  <link rel="stylesheet" href="<?php echo base_url(); ?>bootstrap/css/bootstrap.min.css">
  <link rel="stylesheet" href="<?php echo base_url(); ?>plugins/select2/select2.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="<?php echo base_url(); ?>lib/css/font-awesome/font-awesome.min.css">
  <link rel="stylesheet" href="<?php echo base_url(); ?>lib/css/AdminLTE.min.css">
</head>
<style>
@media print {
    body{
        width: 21cm;
        height: 29.7cm;
        margin: 0px 1000mm 5000mm 10mm; 
        /* change the margins as you want them to be. */
   } 
}
</style>
<body>
<?php

// print_r($SaleInvoiceReport);

if(empty($SaleInvoiceReport)) die('<div style="text-align:center;">No record found.</div>'); 


$SaleType = '';

if($SaleInvoiceReport->SaleType == 1) {
    $SaleType = 'Cash';
}
if($SaleInvoiceReport->SaleType == 2) {
    $SaleType = 'Credit';
}
if($SaleInvoiceReport->SaleType == 3) {
    $SaleType = 'Online';
}


/*if($SaleInvoiceReportDetails[0]['InvoiceDate'])
$sInvoiceDate = date('M d, Y',strtotime($SaleInvoiceReportDetails[0]['InvoiceDate']));
else
$sInvoiceDate = '_____/_____/_________';*/
?>
 
    
 <div class="wrapper">
 <!-- Main content --> 
 <div style="page-break-after:always"></div> 
 
 <section class="invoice">

 <div class="box-header">
      <span class="pull-right" style="font-size:13px; font-family: Arial, Helvetica, sans-serif;"><a href="#" class="" id="SendMail" data-toggle="modal" data-target="#myModal" style="color:green">Email</a> &nbsp; &nbsp;<a href="#" style="color:green" onclick="window.print();">Print</a> &nbsp; &nbsp;</span>

  </div>

  <div class="col-xs-12 col-sm-12" style="padding-left: 0px;">
      <img src="<?php echo base_url() ?>images/company-logo/<?php echo $GetSettingInformation[0]['CompanyLogo']; ?>" alt="" width="180" class="img-fluid">
      <div class="pull-right" style="width:50%">
        <p style="text-align:center; font-size: 20px; font-weight:bold;">SALES INVOICE</p>
        <address>
         <p style="font-size:13px;letter-spacing: 1px;font-family:Calibri;margin-bottom:1px;"><b>Invoice No:</b>  <label>  <?php echo $SaleInvoiceReport->SaleId; ?></label>
          <span style="font-size:13px;letter-spacing: 1px;font-family:Calibri;margin-bottom:1px;padding-left:15px;"><b>User ID:</b> <span style="font-size:13px;letter-spacing: 1px;font-family:Calibri;"><?php echo $GetSettingInformation[0]['ContactPerson']; ?></span></span>
         </p>
         <p style="font-size:13px;letter-spacing: 1px;font-family:Calibri;margin-bottom:4px;"><b>Date:</b> <span style="font-size:13px;letter-spacing: 1px;font-family:Calibri;"><?php echo date("M d, Y H:i:s",strtotime($SaleInvoiceReport->SaleDate)); ?></span>
         </p>
         <p style="font-size:13px;letter-spacing: 1px;font-family:Calibri;margin-bottom:4px;"><b>Customer/ARTI:</b> <span style="font-size:13px;letter-spacing: 1px;font-family:Calibri;"> <?php echo $SaleInvoiceReport->CustomerName; ?></span>
         </p>
         <p style="font-size:13px;letter-spacing: 1px;font-family:Calibri;margin-bottom:4px;"><b>Sector:</b> <span style="font-size:13px;letter-spacing: 1px;font-family:Calibri;"> <?php echo $SaleInvoiceReport->Area_name; ?></span>
         </p>
         <p style="font-size:13px;letter-spacing: 1px;font-family:Calibri;margin-bottom:4px;"><b>Cell no.</b><span> <?php echo $SaleInvoiceReport->CellNo; ?></span>
         </p>
         <!-- <div style="height: 3px;"></div>
         <p style="font-size:16px;">Payment Type: <span style="font-size:16px; font-weight:600;"><?php //echo $SaleType; ?></span></p> -->
         <?php // // } ?>
        </address>
      </div>
    <div class="box-header" style="padding-left: 0px;width:50%;">
      <?php
      if($GetSettingInformation[0]['Email'] != null){
          $emailAddress = "E-Mail Address. ".$GetSettingInformation[0]['Email'];
      }else{
          $emailAddress = "";
      }
      ?>
        <p style="font-weight: 600;letter-spacing: 1px;font-family:Calibri;margin-bottom: 14px;font-size: 13px;"> <?php echo $GetSettingInformation[0]['Address']; ?></p>
        <p style="font-weight: 600;letter-spacing: 1px;font-family:Calibri;margin-bottom: 14px;font-size: 13px;"> <?php echo $emailAddress; ?> </p>
        <p style="font-weight: 600;letter-spacing: 1px;font-family:Calibri;margin-bottom: 14px;font-size: 13px;"> <?php echo "<b>".$GetSettingInformation[0]['ContactPerson']."</b>"."- Cell no. ".$GetSettingInformation[0]['ContactNumber']; ?></p>
    </div> 
  
  </div>
    <!-- /.row -->
    <!-- Table row -->
    <div class="row">
      <div class="col-xs-12 table-responsive">
        <table border="0" class="table table-striped">
          <thead>
            <tr style="background:#3c8dbc; font-size:14px; color:#FFFFFF;">
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid;width:1%">S#</th>
            <th style="font-size:14px; font-weight:600; text-align:left; border-bottom:1px solid; border-top:1px solid; width:16%;">PRODUCT DETAILS</th>
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:8%;">CUSTOMER/ARTI</th>
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:8%;">VEHICLE NO</th>
            <!--<th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:8%;">DRIVER NAME</th>-->
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:8%">WEIGHT-MUN</th> 
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:8%">RATE-MUN</th> 
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:8%">AMOUNT</th> 
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:8%">DEDUCTION/KAAT</th>
            <th style="font-size:14px; font-weight:600; text-align:center; border-bottom:1px solid; border-top:1px solid; width:8%">NET AMOUNT</th>
           </tr>
          </thead>
          <tbody>
          <?php //
          $TotalQuantity = 0;
          $TotalAmount = 0;
          $TotalDiscount = 0;
          $TotalNetAmount = 0;
	  $SNo=1;
	  if(isset($SaleInvoiceReportDetails)) {
        $grossAmount = 0;
        $invoiceDiscount = 0;
        $k = 0;
        
          foreach($SaleInvoiceReportDetails as $row) {
            $grossAmount += $row['NetAmount'];
            $invoiceDiscount = $row['TotalDiscount'];
           
          $Particulars = $row['CategoryName'].' - '.$row['BrandName'].' - '.$row['ProductName'];
	  ?>
          <tr>
            <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo $SNo; ?></td>
            <td style="font-size:13px; font-weight:600; text-align:left;"><?php echo $Particulars; ?></td>
            <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo $row['CustomerName']; ?></td>
            <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo $row['WalkinCustomer']; ?></td>
            <!--<td style="font-size:13px; font-weight:600; text-align:center;"><?php //echo $row['MobileNumber']; ?></td>-->
            <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo number_format($row['Quantity'],2); ?></td>
            <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo number_format($row['Rate'],2); ?></td>
            <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo number_format($row['Amount'],2); ?></td>
             <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo ($row['DiscountAmount'] + $row['TaxAmount']); ?></td>
             <td style="font-size:13px; font-weight:600; text-align:center;"><?php echo number_format(($row['NetAmount']),2); ?></td>
           </tr>
           <?php $SNo++;
           $TotalQuantity += $row['Quantity'];
           $TotalAmount += $row['Amount'];
           $TotalDiscount += ($row['DiscountAmount'] + $row['TaxAmount']);
           $TotalNetAmount += $row['NetAmount'];
           $convertArray   = ($ReceivedCashAmount != null) ? (array) $ReceivedCashAmount['GeneralJournalEntries'] : null;
           $cashRecieved   =  ($convertArray != null) ? $convertArray[0]['Credit'] : 0;
           $ar             = ($SaleInvoices) ? $LastBalance : 0;
           
           $currentBalance = ($ar + ($grossAmount - $invoiceDiscount)) - $cashRecieved;
         
           } 
           ?>
           <tr>
	    <td></td>
      <?php if($SaleInvoiceReport->SaleType != 1){ ?>
            <td style="font-size:12px; font-weight:bold;">Previous Balance</td>
            <td style="text-align:center; font-size:12px; font-weight:bold; border-bottom:1px solid; border-top:1px solid;">
            <?php echo number_format($ar, 2); ?>
            </td>
      <?php } ?>
            <td colspan="<?php if($SaleInvoiceReport->SaleType != 1){ echo 4; }else{ echo 6; } ?>"></td>
            <td style="font-size:12px; font-weight:bold;">Gross Amount</td>
            <td style="text-align:center; font-size:12px; font-weight:bold; border-bottom:1px solid; border-top:1px solid;"><?php echo number_format($grossAmount,0); ?></td>
           </tr>
           <tr>
	    <td></td>
      <?php if($SaleInvoiceReport->SaleType != 1){ ?>
            <td style="font-size:12px; font-weight:bold;">Current Inv Amount</td>
            <td style="text-align:center; font-size:12px; font-weight:bold;"><?php echo number_format(($grossAmount - $invoiceDiscount), 2); ?></td>
      <?php } ?>     
	          <td colspan="<?php if($SaleInvoiceReport->SaleType != 1){ echo 4; }else{ echo 6; } ?>"></td>
            <td style="font-size:12px; font-weight:bold;">Invoice Discount</td>
            <td style="text-align:center; font-size:12px; font-weight:bold;"><?php echo number_format($invoiceDiscount, 2); ?></td>
           </tr>
	   <tr>
	    <td></td>
      <?php if($SaleInvoiceReport->SaleType != 1){ ?>
            <td style="font-size:12px; font-weight:bold;">Received Cash</td>
            <td style="text-align:center; font-size:12px; font-weight:bold; border-top:1px solid;">
            <?php echo number_format($cashRecieved, 2); ?></td>
      <?php } ?>
            <td colspan="<?php if($SaleInvoiceReport->SaleType != 1){ echo 4; }else{ echo 6; } ?>"></td>
            <td style="font-size:12px; font-weight:bold;background-color: #3c8dbc;color:white;">Net Amount</td>
            <td style="background-color: #3c8dbc;text-align:center; font-size:12px; font-weight:bold;color:white;"><?php echo number_format(($grossAmount - $invoiceDiscount), 2); ?></td>
           </tr>
      <?php if($SaleInvoiceReport->SaleType != 1){ ?>
           <tr style="background-color: #3c8dbc;">
            <td></td>
	          <td style="font-size:12px; font-weight:bold; color:white;">Current Balance</td>
            <td style="text-align:center; font-size:12px; font-weight:bold;color:white;"><?php echo number_format($currentBalance, 2); ?></td>
          </tr>
      <?php } ?>
      
           <tr style="margin-top:100px;">
            <td style="text-align:right; font-size:12px; font-weight:bold;"></td>
           </tr>
          </tbody>
        </table>
        <?php } ?>
      </div>
      <!-- /.col -->
    </div>

    <!-- /.row -->
    <!-- Table row -->
<?php if($SaleInvoiceReport->SaleType != 1 && $isLedger == 1){ ?>
    <div class="row">
      <div class="col-xs-12 table-responsive">

<?php

  $SNo=1;
  $CompanyName = '';
  $dTotal_Debit = 0;
  $dTotal_Credit = 0;
  $dGrandTotal_Debit = 0;
  $dGrandTotal_Credit = 0;
  $GrandBalance = 0;

  $dDebit = 0; 
  $dCredit = 0;
  $dTransBalance = 0;
  $dBalance = 0;
  $dClosingBalance = 0;

  if(isset($LedgerReport)) {
  foreach($LedgerReport as $LedgerReportRecord) {

    $ChartOfAccountId = $LedgerReportRecord['ChartOfAccountId'];
    $ChartOfAccountTitle = $LedgerReportRecord['ChartOfAccountTitle'];
    $DebitIncrease = $LedgerReportRecord['DebitIncrease'];
    $CreditIncrease = $LedgerReportRecord['CreditIncrease'];

    if(isset($OpenningBalance))
    {
      foreach($OpenningBalance as $OpenningBalanceRecord)
      {
          if($OpenningBalanceRecord['ChartOfAccountId'] === $ChartOfAccountId) 
          {
            $dBalance = $OpenningBalanceRecord['Balance']; 
          }
      }
  }
	    ?>
        <table border="0" class="table table-striped">
          <thead>
            <tr style="background-color: #3c8dbc; color: #fff; height: 30px;border-bottom: 1px solid;">
              <th style="border-bottom:1px solid; width:10%; font-family:Calibri; font-weight:bold; font-size:12px; text-align: center;">Date</th>
              <th style="border-bottom:1px solid; width:35%; font-family:Calibri; font-weight:bold; font-size:12px; text-align: center;">Detail</th>
              <th style="border-bottom:1px solid; width:5%; font-family:Calibri; font-weight:bold; font-size:12px; text-align: center;">Ref No.</th>
              <th style="border-bottom:1px solid; width:10%; font-family:Calibri; font-weight:bold; font-size:12px; text-align: center;">Debit</th>
              <th style="border-bottom:1px solid; width:10%; font-family:Calibri; font-weight:bold; font-size:12px; text-align: center;">Credit</th>
              <th style="border-bottom:1px solid; width:10%; font-family:Calibri; font-weight:bold; font-size:12px; text-align: center;">Balance</th>
            </tr>
          </thead>
          <tbody>
      <?php
        sort($SubLedgerReport);
        foreach($SubLedgerReport as $SubLedgerReportRecord) {
      
        if($SubLedgerReportRecord['ChartOfAccountId'] == $LedgerReportRecord['ChartOfAccountId']) 
        {
          $ChartOfAccountId = $SubLedgerReportRecord['ChartOfAccountId'];
          $GeneralJournalId = $SubLedgerReportRecord['GeneralJournalId'];
          $SaleId = $SubLedgerReportRecord['SaleId'];
          $Reference = $SubLedgerReportRecord['Reference'];
          $dTransactionDate = $SubLedgerReportRecord['TransactionDate'];
          $sTransactionDate = date("M j, Y", strtotime($dTransactionDate));
          $Detail = $SubLedgerReportRecord['Detail'];
          $dDebit = $SubLedgerReportRecord['Debit'];
          $dCredit = $SubLedgerReportRecord['Credit'];
          $ChartOfAccountTitle = $SubLedgerReportRecord['ChartOfAccountTitle'];
	        $voucherType = $SubLedgerReportRecord['VoucherType'];
	
	      
          if($DebitIncrease == 1)
          {
            $dTransBalance = $dDebit - $dCredit;
          }
                
          if($CreditIncrease == 1)
          {
            $dTransBalance = $dCredit - $dDebit;
          }
          
          if($DebitIncrease == 1)
          {
            $dBalance += $dTransBalance; 
          }
        
          if($CreditIncrease == 1)
          {
            $dBalance += $dTransBalance;
          }	 
                
          $dTotal_Debit += $dDebit;
          $dTotal_Credit += $dCredit;

          $sDebit = number_format($dDebit, 0);
          $sCredit = number_format($dCredit, 0);
          
          if ($dDebit == 0) $sDebit = '';
          if ($dCredit == 0) $sCredit = '';
                
          $dClosingBalance = 0;
	      ?>
            <tr style="font-size:12px; height: 30px;">
              <td style="text-align: left; padding-left:10px; font-weight: 600"><?php echo $sTransactionDate; ?></td>
              <td style="text-align: left; padding-left:10px;"><?php if ($SaleId != 0) { 
              echo '<a href="#" onclick="window.open(\''.base_url().'AccountReports/ViewCustomerSaleInvoice/'.$SaleId.'\',\'popUpWindow\',\'height=450,width=800,left=400,top=100,resizable=no,scrollbars=0,toolbar=no,menubar=no,location=no,directories=no, status=yes\');">'.'SI '.$SaleId.'</a>';
              }; ?></td> 
              <td style=" text-align: center; font-weight: 600"><?php echo $Reference; // if ($SaleId != 0) { echo 'SI '.$SaleId; };  /* if($SaleId == 0 || $SaleId == '') { echo $Reference; } else {  echo 'SI '.$SaleId; } */  //'<a href="javascript:void(0)" onclick="window.open(\''.base_url().'GeneralJournal/ViewVoucher/'.$GeneralJournalId.'\',\'popUpWindow\',\'height=450,width=800,left=400,top=100,resizable=no,scrollbars=0,toolbar=no,menubar=no,location=no,directories=no, status=yes\');">'.$Reference.'</a>'; ?></td>
              <td style="text-align: center;"><?php echo $sDebit; ?></td>
              <td style="text-align: center;"><?php echo $sCredit; ?></td>
              <td style="text-align: center;"><?php echo number_format($dBalance,0); ?></td>                
            </tr>
            <?php
              $dGrandTotal_Debit += $dDebit;
              $dGrandTotal_Credit += $dCredit;
              $GrandBalance = $dGrandTotal_Debit - $dGrandTotal_Credit;
              } }
            ?>
            <!-- <tr style="font-size:12px; height: 30px;">
                <td colspan="3" style=" font-weight:700; text-align: right;">Total:</td>
                <td style="font-weight: 700; text-align: center;"><?php //echo number_format($dTotal_Debit,0); ?></td>
                <td style="font-weight: 700; text-align: center;"><?php //echo number_format($dTotal_Credit,0); ?></td>
                <td style="font-weight: 700; text-align: center;"><?php //echo number_format($dBalance,0); ?></td>
              </tr> -->
              <?php
               $sDebit = 0;
               $sCredit = 0;
               $dBalance = 0;
               $dTotal_Debit = 0;
               $dTotal_Credit = 0;
               $dBalance = 0;
              ?> 

            <?php } // for loop ends 
            } // main codition end
            ?> 
          
          </tbody>
        </table>
      </div>
    </div>
<?php } ?>
    <div class="box-header">
      <span class="pull-right" style="font-size:13px; font-family: Arial, Helvetica, sans-serif;font-weight:bold;margin-top: 10px;">AUTHORIZED SIGNATURE</span>

    </div>
    <!-- /.row -->
    <div style="height:52px;"></div>
    <?php // if($CompanyWarranty=='true') { ?>  
    <!-- <div class="row">
      <div class="col-xs-8">
        <p style="font-size:16px; font-weight:600; ">NOTE:</p>
        <p style="margin-top: 10px; font-size: 14px;">
         <?php //echo $SaleInvoiceReport->SaleNote ?>
        </p>
      </div> -->
      <!-- /.col -->
    <!-- </div> -->
    <!-- /.row -->
    <?php // } ?>
    <!-- <div style="height:50px;"></div> -->

 <div class="row">
      <div class="col-xs-12">
        <div style="height:5px; "></div>
        <table border="0" class="table table-striped">
         <thead>
         <tr>
           <td colspan="6" style="text-align:center; font-size: 12px; font-weight:bold;">Software Developed By: AL-SYED Accountancy & Software Solution <br> Contact No. 0343-3000301</td>
         </tr>
        
         </thead>
        </table>   
      </div>
    </div>    

 </section>
 </div>
 
 <?php // if($sDCReport == "true") { ?>
 <!-- Page Break code -->
 <div style="page-break-after:always"></div>
  
 
</body>
</html>