<?php $this->load->view('includes/header'); ?>
<?php $this->load->view('includes/sidebar'); ?>
<?php 
// Customer List showing in product detail row
$Customers = '<select name="CustomerId" style="width:90px; margin-top:1px;" required="required">';
$Customers .= '<option value="">Select Mill</option>';
foreach ($AllCustomers as $CustomerRecord) {
$Customers .= '<option value='.$CustomerRecord['CustomerId'].'-'.$CustomerRecord['ChartOfAccountId'].'>'.$CustomerRecord['CustomerName'].'</option>';
}
$Customers .= '</select>';

$References = '<select name="ReferenceId" style="width:90px; margin-top:1px;" required="required">';
$References .= '<option value="0">Select Reference</option>';
foreach ($AllReferences as $ReferenceRecord) {
$References .= '<option value='.$ReferenceRecord['ReferenceId'].'>'.$ReferenceRecord['FullName'].'</option>';
}
$References .= '</select>';

?>	 
      <!-- /.main-content starts -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1><i class="fa fa-clipboard"></i>&nbsp;Sales Return</h1>
    </section>
    
    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-md-12">
          <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title text-light-blue">Edit Sales Return</h3>
            </div>
      <?php echo "<font style=color:#00468E; font-weight:bold text-align:center;>".$this->session->flashdata('record_update')."</font>"; ?>
	<form class="form-horizontal" method="post" action="<?php echo base_url("SalesReturn/UpdateSalesReturn"); ?>" name="basic_validate" id="basic_validate" novalidate="novalidate">
	    <input type="hidden" name="SaleReturnId" value="<?php echo $SalesReturn->SaleReturnId; ?>">
	 <input type="hidden" name="SaleReturnNo" value="<?php echo $SalesReturn->SaleReturnNo; ?>">
      

      <div class="box-body">
        <div class="row invoice-info">

      <div class="col-md-4 invoice-col">
        <address>
        <strong>Sale Return #:</strong><br>
          <span style="color:#3333CC; font-size:13px; font-weight:bold;"><?= $SalesReturn->SaleReturnNo; ?></span>
        </address>
      </div>

      <div class="col-md-4 invoice-col">
        <address>
        <strong>Select Bank Account:</strong><br>
          <select name="BankAccountId" class="form-control select2" style="width: 215px;">
            <option value="0"> Select Bank Account</option>
            <?php foreach ($GetAllBankAccounts as $BankAccounts) {
            ?>
            <option <?php $SalesReturn->AccountId == $BankAccounts['AccountId'] ? 'selected' : '' ?> value="<?php echo $BankAccounts['AccountId']; ?>"><?php echo $BankAccounts['AccountTitle'] . " - " . $BankAccounts['AccountNumber'];  ?></option>
            <?php
            } ?>
          </select>
        </address>
      </div>

      <div class="col-md-4 invoice-col">
        <address>
        <strong>Sale Return Date:</strong><br>
          <input class="form-control" id="datepicker1" type="text" name="SaleReturnDate" value="<?php echo date("d-m-Y", strtotime($SalesReturn->SaleReturnDate)); ?>" autocomplete="off" style="width: 215px;">
        </address>
      </div>

      <div class="col-md-4 invoice-col">
        <address>
        <strong>Sale Return Type:</strong><br>
           <?php echo $SalesReturn->SaleReturnType == '1' ? 'Cash' : 'Credit'; ?>
        </address>
      </div>
			<input type="hidden" name="SaleReturnType"  value="<?php echo $SalesReturn->SaleReturnType; ?>">

      <div class="col-md-4 invoice-col">
        <address>
        <strong>Mill:</strong><br>
          <select name="CustomerId" id="CustomerId" style="width:215px; margin-top:1px;" class="form-control select2">
            <option selected="selected" value="0">Select Mill</option>
             <?php foreach ($AllCustomers as $CustomerRecord) { ?>
            <option value="<?php echo $CustomerRecord['CustomerId'].'-'.$CustomerRecord['ChartOfAccountId']; ?>"<?php if($CustomerRecord['CustomerId'] == $SalesReturn->CustomerId) echo "selected=selected"; ?>><?php echo $CustomerRecord['CustomerName'];?></option>
             <?php } ?>
          </select>
        </address>
      </div>

      <div class="col-md-4 invoice-col" style="border: 0px solid;">
        <address>
        <strong>Reference:</strong><br>
          <select name="ReferenceId" id="ReferenceId" style="width:215px; margin-top:1px;" class="form-control select2">
            <option value="">Select Reference</option>
           <?php foreach ($AllReferences as $ReferenceRecord) { ?>
            <option value="<?php echo $ReferenceRecord['ReferenceId']; ?>"<?php if($ReferenceRecord['ReferenceId'] == $SalesReturn->ReferenceId) echo "selected=selected"; ?>><?php echo $ReferenceRecord['FullName'];?></option>
           <?php } ?>
          </select>
        </address>
      </div>

      <div class="col-md-4 invoice-col">
        <address>
        <strong>Sale Return Note:</strong><br>
            <input type="text" name="SaleReturnNote" id="SaleNote" class="form-control" style="width: 215px;" value="<?php echo $SalesReturn->SaleReturnNote; ?>">
        </address>
      </div>          

			</div>
    </div>

	   
	    <div span="12">
	   <div class="widget-content nopadding">
	    <table class='table table-bordered text-center' id="SaleReturn_EntriesTable">
    <thead>
    <tr style="background-color:#ECF9FF;">
		<th style="width:2%;">S.#</th>
		<th style="padding:5px; width:10%; text-align: left;">Item</th>
		<th style="padding:5px; width:10%; text-align: left;">Location</th>
		<th style="padding:5px; width:10%; text-align: left;">Color</th>
		<th style="padding:5px; width:10%;">Rate</th>
		<th style="padding:5px; width:10%;">Qty</th>
		<th style="padding:5px; width:10%;">Amount</th>
    <th style="padding:5px; width:10%;">Dis: Amt</th>
    <th style="padding:5px; width:10%;">Tax Percentage</th>
    <th style="padding:5px; width:10%;">Tax Amount</th>
    <th style="padding:5px; width:10%;">Net Amount</th>
		<th style="padding:5px; width:20%; text-align: center;">Comments</th>
    <th style="padding:5px; width:3%;"></th>
	       </tr>
               </thead>
	        <?php 	
		//echo '<pre>';
		//print_r($SalesReturnDetail);
		//die;
		
	        $SNo = 1; 
	        $Amount = 0;
		$NetAmount = 0;
	        foreach($SalesReturnDetail as $Record) {
	        ?>
		<tr class="txtMult">
		 <td style="margin-top:15px;line-height:25px"><?php echo $SNo; ?></td>
		 <td>
		  <input style='width:130px;margin-top:1px;' type='text' name="ProductName[]" id="ProductName_<?php echo $SNo?>" autocomplete="off"value="<?php echo $Record['ProductName'];?>">
      <input type='hidden' id="hdnProductName_<?php echo $SNo; ?>" name="ProductId[]" value="<?php echo $Record['ProductId'];?>">
		  <input type='hidden' id="OldhdnProductName_<?php echo $SNo; ?>" name="OldProductId[]" value="<?php echo $Record['ProductId'];?>">
		 </td>
		 <td>
		  <input style='width:95%;margin-top:1px;' type='text' id="LocationName_<?php echo $SNo?>" autocomplete="off" value="<?php echo $Record['LocationName'];?>" >
     <input type='hidden' id="hdnLocationName_<?php echo $SNo?>" name="LocationId[]" value="<?php echo $Record['LocationId'];?>">
		 <input type='hidden' id="OldhdnLocationName_<?php echo $SNo?>" name="OldLocationId[]" value="<?php echo $Record['LocationId'];?>">
		 </td>
		 <td style="text-align:center;">
		  <input style='width:95%; margin-top:1px;' type='text' name="ColourName[]" id="ColourName_<?php echo $SNo?>" autocomplete="off" value="<?php echo $Record['ColourName'];?>">
     <input type='hidden' id="hdnColourName_<?php echo $SNo?>" name="ColourId[]" value="<?php echo $Record['ColourId'];?>" >
		 <input type='hidden' id="OldhdnColourName_<?php echo $SNo?>" name="OldColourId[]" value="<?php echo $Record['ColourId'];?>" >
		 </td>
		 <td><input style='width:90%; margin-top:1px;' type='number' id="Rate<?php print $SNo; ?>" class="Rate" name='Rate[]' autocomplete="off" value="<?php echo $Record['Rate'];?>" step="0.01"></td>
     <td style="text-align:center;"><input style='width:100%;margin-top:1px; text-align:right;' type='number' id="Quantity<?php print $SNo; ?>" class="Quantity" name='Quantity[]' autocomplete="off" value="<?php echo $Record['Quantity'];?>" step="0.01"></td>
		 <input type='hidden' id="OldQuantity<?php print $SNo; ?>" class="Quantity" name='OldQuantity[]' autocomplete="off" value="<?php echo $Record['Quantity'];?>" step="0.01">
		 <td><input style='width:90%; margin-top:1px; text-align:right;' type='number' id="Amount<?php print $SNo; ?>" class="Amount" name='Amount[]' value="<?php echo $Record['Amount'];?>" step="0.01"></td>
      <td><input style='width:90%; margin-top:1px; text-align:right;' type='number' id="DiscountAmount<?php print $SNo; ?>" class="DiscountAmount" name='DiscountAmount[]' value="<?php echo $Record['DiscountAmount'];?>" step="0.01"></td>
    <td><input style='width:90%; margin-top:1px; text-align:right;' type='number' id="TaxPercentage<?php print $SNo; ?>" class="TaxPercentage" name='TaxPercentage[]' min="0" step="0.01" value="<?php echo $Record['TaxPercentage'];?>"></td>
     <td><input style='width:90%; margin-top:1px; text-align:right;' type='number' id="TaxAmount<?php print $SNo; ?>" class="TaxAmount" name='TaxAmount[]' min="0" step="0.01" value="<?php echo $Record['TaxAmount'];?>"></td>
     <td><input style='width:90%; margin-top:1px; text-align:right;' type='number' id="Amount<?php print $SNo; ?>" class="NetAmount" name='NetAmount[]' value="<?php echo $Record['NetAmount'];?>" step="0.01"></td>
		 <td><input style='width:130px; text-align:left; margin-top:1px;' type='text' id="Comments<?php print $SNo; ?>" name='Comments[]' value="<?php echo $Record['Comments']; ?>"></td>
		 <td style="width:70px;text-align:right; cursor:pointer; color:red;"><i class="fa fa-trash remove" title="Delete" style="margin-top:1px;"></i></td>
		</tr>
		<?php 
		$SNo++;
		}
		?>
		<input type="hidden" name="SNo" id="SNo" class="form-control" value="<?php echo $SNo; ?>">
		</tbody>
	    </table>
	    <table class="table" border="0">
            <tbody>
	      <tr>
	       <td colspan="13">
		 <span style="cursor:pointer; color:darkgreen; font-weight:600;" id="addrow" class="fa fa-plus">Add Row</span>
	       </td>
	       <td id="RemainingStock"></td>
	      </tr>
	    <tr>
	     <td style="width:35%; text-align:left; font-weight:600;">Total Net Amount:</td>
	     <td style="width:10%;"></td>
	     <td style="width:10%;"></td>
	     <td style="width:10%;"></td>
	     <td style="width:5%;" colspan="4"></td>
	     <td style="width:7%;"><div id="TotalAmount" style='font-weight:600; text-align:right; color:#008000;'>0.00</div></td>
       	     <td colspan="3"></td>
	    </tr>
	    </tbody>
	    </table>

    <div class="box-body">
    <div class="row">
      <div class="col-md-2">
        <button type="submit" name="AddSaleReturnRecordBtn" value="AddSaleReturnRecord" id="AddRecord" class="btn btn-block btn-primary">Update Record</button>
      </div>
      <div class="col-md-2">
        <a href="<?php echo base_url(); ?>SalesReturn/"><button type="button" name="" value="cancelUpdate" class="btn btn-block bg-orange">Back to Main</button></a>
      </div>
    </div>
        </div>


          </div>
	</div>
	</form>
	</div>
	
      </div>


<?php
$this->load->view('includes/footer');
?>

<script src="<?php echo base_url();?>plugins/autocomplete/jquery-ui.js"></script>
<link rel="stylesheet" href="<?php echo base_url();?>plugins/autocomplete/jquery-ui.css" />

<script>
  $(document).ready(function () {
    var counter = $("#SNo").val();
    
    // Add New Row Script 
    $('body').on("click", "#addrow", function(e) {
  
        var newRow = $("<tr class='txtMult'>");
        var cols = "";
	cols += '<td style="margin-top:15px;line-height:25px">' + counter + '</td>';
	cols += '<td><input style="width:130px;margin-top:1px;" class="select2" name="ProductName[]" type="text" id="ProductName_'+ counter +'" name="ProductName[]"><input style="width:90%;" type="hidden" id="hdnProductName_'+ counter +'" name="ProductId[]"></td>'
	cols += '<td style="text-align:center;"><input style="width:95%; margin-top:1px;" class="select2" type="text" id="LocationName_'+ counter +'" name="LocationName_[]"><input style="width:90%;" type="hidden" id="hdnLocationName_'+ counter +'" name="LocationId[]"></td>';
	cols += '<td style="text-align:center;"><input style="width:95%; margin-top:1px;" class="select2" type="text" id="ColourName_'+ counter +'" name="ColourName[]"><input style="width:90%;" type="hidden" id="hdnColourName_'+ counter +'" name="ColourId[]"></td>';
	cols += '<td><input style="width:90%; margin-top:1px; text-align:right;" type="number" id="Rate'+ counter +'" class="Rate" name="Rate[]" autocomplete="off" step="0.01"></td>';
	cols += '<td><input style="width:100%; margin-top:1px; text-align:right;" type="number" id="Quantity'+ counter +'" class="Quantity" name="Quantity[]" autocomplete="off" step="0.01"></td>';
	cols += '<td><input style="width:90%; margin-top:1px; text-align:right;" type="number" id="Amount'+ counter +'" class="Amount" name="Amount[]" step="0.01"></td>';
  cols += '<td><input style="width:90%; margin-top:1px; text-align:right;" type="number" id="DiscountAmount'+ counter +'" class="DiscountAmount" name="DiscountAmount[]" step="0.01"></td>';
  cols += '<td><input style="width:90%; margin-top:1px; text-align:right;" type="number" id="Amount'+ counter +'" class="NetAmount" name="NetAmount[]" step="0.01"></td>';
  cols += '<td><input style="width:90%; margin-top:1px; text-align:right;" type="number" id="TaxPercentage'+ counter +'" class="TaxPercentage" name="TaxPercentage[]" step="0.00"></td>';
  cols += '<td><input style="width:90%; margin-top:1px; text-align:right;" type="number" id="TaxAmount'+ counter +'" class="TaxAmount" name="TaxAmount[]" step="0.00"></td>';
	cols += '<td><input style="width:130px; text-align:left; margin-top:1px;" type="text" id="Comments'+ counter +'"  name="Comments[]"></td>'
	cols += '<td style="width:70px;text-align:right; cursor:pointer; color:red;"><i class="fa fa-trash remove" title="Delete" style="margin-top:1px;"></i></td>';

        newRow.append(cols);
        $("#SaleReturn_EntriesTable").append(newRow);
        counter++;
    });
    
    // Start Remove row script
    $("#SaleReturn_EntriesTable").on("click", ".remove", function (event) {
        $(this).closest("tr").remove();       
        counter -= 1
    });
    // End of Add new row script
   
     // Calculating total Quantity and Amount Script
             
     $('body').on("keyup",".txtMult input", multInputs);
    
       function multInputs() {
     
        var TotalAmount = 0;
    var NetAmount = 0;
    $('tr.txtMult').each(function () {

      var Quantity = $('.Quantity', this).val();
      var Rate = $('.Rate', this).val();
      var DiscountAmount = $('.DiscountAmount', this).val();

      var QuantityVal = (isNaN(parseFloat(Quantity))) ? 0 : parseFloat(Quantity);
      var RateVal = (isNaN(parseFloat(Rate))) ? 0 : parseFloat(Rate);
      var DiscountAmountVal = (isNaN(parseFloat(DiscountAmount))) ? 0 : parseFloat(DiscountAmount);

      var Amount = (QuantityVal * 1) * (RateVal * 1);
      
      var $TaxAmount = $('.TaxAmount', this).val();
      var $TaxPercentage = $('.TaxPercentage', this).val();
      var $Tax = ((Amount * $TaxPercentage) / 100); 
      
      $('.TaxAmount',this).val(($Tax).toFixed(2));

      if(DiscountAmountVal != 0) 
      {
     NetAmount = (Amount - DiscountAmountVal - $Tax);
      }
      else
      {
     NetAmount = (Amount - $Tax);
      }
      
      $('.Amount',this).val(Amount);
      $('.NetAmount',this).val(NetAmount);
       //TotalQuantity = (TotalQuantity * 1) + (QuantityVal * 1);
       TotalAmount += NetAmount;
  });
       $('#TotalAmount').text((TotalAmount).toFixed(2));
       }
  });  

 $(function(){

    $("#SaleType").on('change', function(){
      if($("#SaleType").val() == "3"){
        $("#BA").css('display', 'block');
      }
      else{
        $("#BA").css('display', 'none');
      }
      
    })

    // Auto Select Produt List
    //$(document).on('keyup','input[id^=ProductName]',function(){ 
    $('body').on("keyup", "input[id^=ProductName]", function(){
      
            var  ProductId  = ($(this).attr('id'));
            var  ProductName = $(this).val();
      
            $(this).autocomplete({
    
                source: function(request, response)   {
                    $.ajax({
                        url: "<?php echo site_url('Sales/AutoCompleteProductList')?>",
                        data: { ProductName:ProductName},
                        dataType: "json",
                        type: "POST",
                        success: function(data) {
                         response(data);
                        }
                    });
                },
                select: function (event,ui) {
                    $(this).val(ui.item.value); // display the selected text
                    $("#hdn"+ProductId).val(ui.item.id); // save selected id to hidden input
    },
                minLength: 2
            });
        }); 
    

     // Auto Select Location List
     $('body').on("keyup", "input[id^=LocationName]", function(){
      
            var  LocationId  = ($(this).attr('id'));
            var  LocationName = $(this).val();
      
            $(this).autocomplete({
    
                source: function(request, response)   {
                    $.ajax({
                        url: "<?php echo site_url('Sales/AutoCompleteLocationList')?>",
                        data: { LocationName:LocationName},
                        dataType: "json",
                        type: "POST",
                        success: function(data) {
                         response(data);
                        }
                    });
                },
                select: function (event,ui) {
                    $(this).val(ui.item.value); // display the selected text
                    $("#hdn"+LocationId).val(ui.item.id); // save selected id to hidden input
    },
                minLength: 2
            });
        });
  
  
     // Auto Select Colour List
     $('body').on("keyup", "input[id^=ColourName]", function(){
      
            var  ColourId  = ($(this).attr('id'));
            var  ColourName = $(this).val();
      
            $(this).autocomplete({
    
                source: function(request, response)   {
                    $.ajax({
                        url: "<?php echo site_url('Sales/AutoCompleteColourList')?>",
                        data: { ColourName:ColourName},
                        dataType: "json",
                        type: "POST",
                        success: function(data) {
                         response(data);
                        }
                    });
                },
                select: function (event,ui) {
                    $(this).val(ui.item.value); // display the selected text
                    $("#hdn"+ColourId).val(ui.item.id); // save selected id to hidden input
    },
                minLength: 2
            });
        });

            $('body').on('change', 'input[id^=LocationName]', function(){
                var LocationId = $('input[name^=LocationId]').val();
                var ProductId = $('input[name^=ProductId]').val();

                $.ajax({
                   type: 'POST',
                   dataType: 'html',
                   data: ('LocationId='+LocationId+'&ProductId='+ProductId),
                   url: "<?php echo base_url('Sales/GetRemainingProduct'); ?>",
                   success: function(response){
                    $('#RemainingStock').html(response);
                   }
                });
            });


});


 $(function(){

        $("#basic_validate").submit(function(e){
          var SNo = 1;
            $("input[id^=ProductName]").each(function(){
            var ProductName = $(this).val();
              if(ProductName == '' || ProductName == 0)
              {
                //alert("Please fill this field");
                $(this).css('border-color', 'red');
                e.preventDefault();
                $(this).focus;
              }
              if(ProductName != '' || ProductName != 0){
                $(this).css('border-color', 'green');
              }
          SNo++;
            });
        });

        $("#basic_validate").submit(function(e){
          var SNo = 1;
            $("input[id^=LocationName]").each(function(){
            var LocationName = $(this).val();
              if(LocationName == '' || LocationName == 0)
              {
                 //alert("Please fill this field");
                 $(this).css('border-color', 'red');
                 e.preventDefault();
                 $(this).focus;
              }
              if(LocationName != '' || LocationName != 0){
                $(this).css('border-color', 'green');
              }
          SNo++;
            });
        });

        $("#basic_validate").submit(function(e){
          var SNo = 1;
            $("input[id^=ColourName]").each(function(){
            var ColourName = $(this).val();
              if(ColourName == '' || ColourName == 0)
              {
                 //alert("Please fill this field");
                 $(this).css('border-color', 'red');
                 e.preventDefault();
                 $(this).focus;
              }
              if(ColourName != '' || ColourName != 0){
                $(this).css('border-color', 'green');
              }
          SNo++;
            });
        });

        $("#basic_validate").submit(function(e){
          var SNo = 1;
            $("input[id^=Rate]").each(function(){
            var Rate = $(this).val();
              if(Rate == '' || Rate == 0)
              {
                 //alert("Please fill this field");
                 $(this).css('border-color', 'red');
                 e.preventDefault();
                 $(this).focus;
              }
              if(Rate != '' || Rate != 0){
                $(this).css('border-color', 'green');
              }
          SNo++;
            });
        });

        $("#basic_validate").submit(function(e){
          var SNo = 1;
            $("input[id^=Quantity]").each(function(){
            var Quantity = $(this).val();
              if(Quantity == '' || Quantity == 0)
              {
                 //alert("Please fill this field");
                 $(this).css('border-color', 'red');
                 e.preventDefault();
                 $(this).focus;
              }
              if(Quantity != '' || Quantity != 0){
                $(this).css('border-color', 'green');
              }
          SNo++;
            });
        });


          $("#basic_validate").submit(function(e){
          var SNo = 1;
            $("input[id^=CustomerId]").each(function(){
            var CustomerId = $(this).val();
              if(CustomerId == '' || CustomerId == "0")
              {
                 //alert("Please fill this field");
                 $(this).css('border-color', 'red');
                 e.preventDefault();
                 $(this).focus;
              }
              if(CustomerId != '' || CustomerId != 0){
                $(this).css('border-color', 'green');
              }
          SNo++;
            });
          });


      });    // end of main jQuery


 </script>