<?php $this->load->view('includes/header'); ?>
<?php $this->load->view('includes/sidebar'); ?>

      <!-- /.main-content starts -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1><i class="fa fa-clipboard"></i>&nbsp;Sales Return</h1>
    </section>
    
    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-md-12">
          <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title text-light-blue">View Sales Return Details</h3>
            </div>
      <?php echo "<font style=color:#00468E; font-weight:bold text-align:center;>".$this->session->flashdata('record_update')."</font>"; ?>
      
            <form role="form" id="SaleOrderForm" action='<?php echo base_url("SalesReturn/SaveSale") ?>' method="post">
      
      <div class="box-body">
        <div class="row invoice-info">
    <div class="col-sm-3 invoice-col">
      <address>
        <strong>Sale Return #:</strong><br>
        <span style="color:#3333CC; font-size:13px; font-weight:bold;"><?= $SalesReturn->SaleReturnNo; ?></span>
      </address>
    </div>

    <div class="col-sm-3 invoice-col">
      <address>
        <strong>Sale Return Type:</strong><br>
        <?php 
          if($SalesReturn->SaleReturnType == "1"){ echo "On Cash"; }
          if($SalesReturn->SaleReturnType == "2"){ echo "On Credit"; }
          if($SalesReturn->SaleReturnType == "3"){ echo "Online"; }
        ?>
      </address>
    </div>

       <div class="col-sm-3 invoice-col">
      <address>
        <strong>Mill:</strong><br>
       <?php echo $SalesReturn->CustomerName; ?>
                  </address>
    </div>

    <div class="col-sm-3 invoice-col">
      <address>
        <strong>Bank Account:</strong><br>
         <?php echo $SalesReturn->AccountTitle . " - " . $SalesReturn->AccountNumber;  ?>
      </address>
    </div>

    <div class="col-sm-3 invoice-col">
      <address>
        <strong>Reference:</strong><br>
       <?php echo $SalesReturn->FullName; ?>
                  </address>
    </div>

    <div class="col-sm-3 invoice-col">
      <address>
        <strong>Sale Return Date:</strong><br>
        <?php echo date('M d, Y',strtotime($SalesReturn->SaleReturnDate)); ?>
      </address>
    </div>

    <div class="col-sm-3 invoice-col">
      <address>
        <strong>Sale Return Note:</strong><br>
        <?php echo $SalesReturn->SaleReturnNote; ?>
      </address>
    </div>

    <div class="col-sm-6 invoice-col">
      <address>
        <div style="font-weight:600;" class="col-sm-8" id="AccountReceivable"></div>
      </address>
    </div>    
        </div>             

    <table class='table table-bordered text-center' id="SaleReturn_EntriesTable">
    <thead>
    <tr style="background-color:#ECF9FF;">
    <th style="width:2%;">S.#</th>
    <th style="padding:5px; width:10%; text-align: left;">Item</th>
    <th style="padding:5px; width:10%; text-align: left;">Location</th>
    <th style="padding:5px; width:10%; text-align: left;">Color</th>
    <th style="padding:5px; width:10%;">Rate</th>
    <th style="padding:5px; width:5%;">Qty</th>
    <th style="padding:5px; width:10%;">Amount</th>
    <th style="padding:5px; width:10%;">Dis: Amt</th>
    <th style="padding:5px; width:10%;">Tax Percentage</th>
    <th style="padding:5px; width:10%;">Tax Amount</th>
    <th style="padding:5px; width:10%;">Net Amount</th>
         </tr>
               </thead>
         <?php 
          $SNo = 1; 
          $Amount = 0;
    $NetAmount = 0;
          foreach($SalesReturnDetail as $Record) {
         ?>
         <tr>
            <td style="text-align:center;"><?php echo $SNo; ?></td>
            <td style="text-align:left;"><?php echo $Record['ProductName'];?></td>
            <td style="text-align:left;"><?php echo $Record['LocationName'];?></td>
            <td style="text-align:left;"><?php echo $Record['ColourName'];?></td>
            <td style="text-align:center;"><?php echo $Record['Rate'];?></td>
            <td style="text-align:center;"><?php echo $Record['Quantity'];?></td>
            <td style="text-align:center;"><?php echo $Record['Amount'];?></td>
            <td style="text-align:center;"><?php echo $Record['DiscountAmount'];?></td>
            <td style="text-align:center;"><?php echo $Record['TaxPercentage'];?></td>
            <td style="text-align:center;"><?php echo $Record['TaxAmount'];?></td>
            <td style="text-align:center;"><?php echo $Record['NetAmount'];?></td>
         </tr>
         <?php 
         $SNo++; 
        // $Amount += $Record['Amount'];  
         $NetAmount += $Record['NetAmount'];
    } ?>
             </table>
       <table class="table" border="0">
              <tbody>
                <tr>
                  <td colspan="13"></td>
                </tr>
        <tr>
        <td style=" text-align:left; font-weight:600;">Total Net Amount:</td>
         <td style=""></td>
         <td style=""></td>
         <td style=""></td>
         <td style=""></td>
         <td style=""></td>
         <td style=""></td>
         <td style=""></td>
         <td style=""></td>
         <td style="width:5%;"><div id="NetAmount" style='font-weight:600; text-align:right; color:#008000;'><?php // echo number_format($Amount,2,'.',''); ?></div></td>
         <td style="width:5%;"></td>
         <td style="width:5%;"><div id="NetAmount" style='font-weight:600; text-align:right; color:#008000;'><?php echo number_format($NetAmount,2,'.',''); ?></div></td>
               <td style="width:5%;"></td>
         <td style="width:5%;"></td>
         <td style="width:5%;"></td>
        </tr>
        </tbody>
       </table>
           </div>        
        </form>
    <div class="box-body">
      <div class="col-md-2">
        <a href="<?php echo base_url(); ?>SalesReturn/AddSalesReturn"><button type="button" name="cancelForm" value="cancelUpdate" class="btn btn-block btn-primary">Add Record</button></a>
      </div>
      <div class="col-md-2">
        <a href="<?php echo base_url(); ?>SalesReturn/"><button type="button" name="cancelForm" value="cancelUpdate" class="btn btn-block btn-primary">Back to Main</button></a>
      </div>
    </div>
        </div>
            </div>
        </div>
  </section>
      </div>
   

<?php
$this->load->view('includes/footer');
?>